
                           SCHED

                   A VLBI SCHEDULING PROGRAM

 SCHED was originally written in the late 1970's at Caltech as the 
 Mark II VLBI scheduling program.  It can provide the necessary
 control files for essentially all telescopes that do, or used to
 do, Mark II obervations.  However, currently it is mainly used for
 scheduling VLBA and Mark III format VLBI observations on the VLBA 
 and VLA.  It can also provide control files for other antennas that
 use the VLBA style files to control their tape drives.  SCHED can
 also be used to schedule many types of VLA observations besides 
 VLBI.  When run, SCHED produces operator schedules and telescope 
 control files for each telescope.  It also produces a summary file 
 giving an overview of the schedule. 

 To schedule global Mark III observations, PC_SCHED (from Haystack)
 should be used to create the .drg file and the Mark III station
 SNAP files.  Very stripped down inputs for this SCHED can be 
 read into PC_SCHED if desired.

 There should be enough information in the SUMMARY and MARK II 
 sections below to allow scheduling of simple Mark II VLBI 
 observations.  Users unfamiliar with the Caltech package should also
 consult the KEYIN section.  Other sections give details in case they
 are needed.  An index of this help file appropriate for the number
 of lines per page delivered by your printer may be made using the
 INDEXHLP program.

 Recent versions of the SCHED program were compiled and tested 
 under the VMS (VAX), UNIX (CONVEX and SUN), and MS-DOS (PC) operating
 systems.  Currently, the program is only being developed and tested
 under UNIX (SUN), but the system files for the other operating 
 systems are still available and the programming style has not changed.
 It should still work under VMS, at least.  Under an old MS-DOS, SCHED
 simply got too big so it may not work there any more.

2 OVERVIEW
 OVERVIEW of SCHED

 Program SCHED can be used to generate:

    1.  Operator schedules and computer control files for most 
        observatories for Mark II VLBI observations.  This is the
        primary use of SCHED and determines most defaults.  Cover
        information such as PI's name, address, etc. are included
        in these files.

    2.  Observe decks (OBS files) for some types of VLA observations.
        SCHED can produce source cards along with limited varieties
        of //LO, //FI, and //PM cards.

    3.  VLBA control files for Mark III VLBI observations.

    4.  OBS files and VLBA recorder control files for Mark III VLBI 
        observations at the VLA

    5.  VLBA control files for single dish pointing and other testing.

 SCHED is currently (1992) the primary scheduling program worldwide 
 for Mark II VLBI and for all types of VLBA observations.

 SCHED is normally run from a control file containing commands in the
 "KEYIN" free format common to all Caltech VLBI package programs. The 
 control file is generated using any text editor.  Users unfamiliar 
 with the Caltech package should read the section on KEYIN input.

 A series of observations are divided into scans.  A separate group of
 input parameters (ending with a /) is used to specify a scan.  Most
 parameters default to their previous values so only items that change
 need be repeated. 

 SCHED writes "cover letter" information in the operator and telescope
 control files.  This includes the PI's name, address, phone number,
 experiment type (eg  4cm, Mark III mode B) etc.  The information is
 provided as values for various KEYIN parameters.  Details are given
 in the section on Cover Information.

 SCHED uses two catalogs, one for sources and one for stations.  These
 catalogs are also in "KEYIN" format.  Details of the catalog formats
 and usage are given in the section on Catalogs.

 For any VLBA telescope control file, and for control of the VLBA tape
 system at the VLA, SCHED requires extensive information on the
 details of the hardware setup.  These details are typically the 
 same for all observations of the same basic type (for example, 
 Mark III mode A at 6 cm).  SCHED obtains such information from SETUP
 files.  The VLBA staff maintains a standard set of such SETUP files
 at the Array Operations Center.  For Mark II programs, SCHED can be 
 run without a SETUP file specification to check that the schedule
 is as intended.  Then the SCHED input file can be sent to the VLBA
 (via, for example, the normal Network schedule distribution stysem)
 where the appropriate SETUP file specification will be added and the
 final control files will be produced.  SETUP files are in KEYIN 
 format.

 SCHED reads tape initialization files to obtain startup 
 configuration information for the tapes  at the sites.  This is
 mainly for VLBA observations which may put more than one experiment
 on a tape.  It is expected that tape initialization  files will only
 be used by the VLBA operations staff.  Users can  ignore them in
 schedule planning.  As with the SETUP files, VLBA  operations must
 have the SCHED input file if a tape initialization  file will be
 needed to produce the final control files. The tape initialization
 files  are also in "KEYIN" format.

 Doppler calculations can be done for spectral line sources based on
 velocities in the source catalog and rest frequencies in a separate
 input ("KEYIN" format, of course).  

 The output of SCHED consists of three types of files:

     1.  Operator schedules.  These are intended to be read by 
         personnel at the observatories, although they are also
         useful for the scheduler. They contain the important
         parameters of each scan, along with information about the
         pointing position (azimuth, elevation, hour angle,paralactic  
         angle and slew distances).  Cover information is also included.
         Warnings appear for sources that are too low or within 10 
         degrees of the sun.  These files have names like 
         'xxxSCH.yy' where 'xxx' is the experiment code (input 
         EXPCODE - eg W42) and 'yy' is the station code from the 
         station catalog.

     2.  Telescope control files.  These files are intended to be
         used to control the telescope computers.  The type given
         for each station is controled by a parameter in the station
         catalog.  These files have names like 'xxxCRD.yy'.  For
         non-VLBA stations with VLBA data aquisition systems controlled
         by the VLBA software (VLA, soon Green Bank and Bonn), two 
         files are provided.  The 'xxxCRD.Y' file is a VLBA format 
         file to control the data aquisition system including tape
         drive.  The 'xxxOBS.Y' file is the local computer control
         file (OBS deck for VLA) for use by the on-line system.  
         All of these files contain cover information.

     3.  A summary file.  This file provides an overview of the
         observations including the elevation of the source at each
         station and the times of tape changes.  These file have names
         like 'xxx.SUM'.

 Users of older versions of SCHED should read the CHANGES section to
 avoid problems.  

 This is not the same program as PC-SCHED.  That program, which was
 written at Haystack, is the primary program for scheduling of 
 Mark III observations.  The VLBA staff (or any user) can convert
 the DRUDG file from PC-SCHED (or SKED) into a SCHED input file
 using SKEDCONV.  This is the standard way in which VLBA and VLA
 control files are produced for Mark III programs.

 The somewhat strange format of this help file allows it to be used
 directly as a HELP file on VAX's.




2 MARK_II 
              USE OF SCHED FOR MARK II OBSERVATIONS

 SCHED is primarily intended for scheduling Mark II VLBI observations.
 Most parameters default to reasonable values for such observations.
 This section gives two examples that illustrate the use of SCHED for
 Mark II schedules.  The first shows the bare minimum for a very 
 simple schedule.  The second is a more complicated schedule that 
 shows most of the capabilities of SCHED that are likely to be needed 
 for Mark II scheduling.  These examples, if extracted from this 
 document and run would produce valid schedules.  Remember that '!' 
 begins comment information that is ignored by SCHED (and can be left
 out of the file).

 Note that many of the parameters provide information that has 
 traditionally been provided in "cover letters".  This includes the
 name and address of the PI, the observing setup, the schedule 
 version, and some notes.  Some of this information, specifically
 the version, the PI's name, and the correlator to which to send 
 the tapes, must be provided or SCHED will abort.  This information
 is written into both the operator and telescope control files.

 For Mark II observations, SCHED can be run without a SETUP file even
 if VLBA antennas are included.  The control files that are produced
 are incomplete, but can be used to check that the schedule is
 reasonable.  The SCHED input file can then be sent to the VLBA where
 the proper SETUP file specification will be added and SCHED will be
 run again to produce the final control files.

 For detailed information on each parameter, see the PARAMETERS 
 section.

 SIMPLE EXAMPLE
 --------------------------------------------------------------------
 $ RUN [RCW.CODE]SCHED              !  For VAX only (put $ in col 1).

     !   Cover information:
 EXPT = 'Mark II, 3C345, May 1986'  ! Any description.
 EXPCODE = 'C85G'                   ! Network code for experiment.
 VERSION = 1                        ! Version 1 of schedule
 PINAME = 'Craig Walker'            ! Principal Investigator's name.
 ADDRESS1 = 'National Radio Astronomy Observatory'  ! Address
 ADDRESS2 = 'P. O. Box O'                           ! Up to 4 lines.
 ADDRESS3 = 'Socorro, New Mexico, 87801'
 ADDRESS4 = ' U.S.A. '
 PHONE    = '505 835 7247 '         ! Telephone number
 OBSPHONE = '505 835 7247 '         ! Phone number during observations.
 EMAIL    = 'Internet: cwalker@nrao.edu'   ! Electronic mail address.
 FAX      = '505 835 7027 '         ! Phone number for FAX.
 TELEX    = '910-988-1710 '         ! Telex number.
 OBSMODE  = '6cm  Mark II Standard Setup'  ! Observing mode.
 CORREL   = 'Caltech'               ! Correlator to ship tapes to.
 NOTE1    = 'You can put any comments you want to in these four lines.'
 NOTE2    = ' More comments '
 NOTE3    = ' More comments '
 NOTE4    = ' Last of the comments'

 !         Now the actual schedule information.
 SRCFILE = SOURCES.OBS              ! Source catalog.
 YEAR = 1986  MONTH=5  DAY=11       ! Date of first stop time.
 STATIONS=BONN,BOLOGNA,HSTK,NRAO,
          VLA,VLBA_PT,OVRO          ! Stations list
 VLABAND='VC'  VLAMODE='VS'         ! Required information for VLA
 START = 02:00:00                   ! Start time in UT. 
 TPREF = 1::                        ! Control tape change times.
 SOURCE = '3C345'                   ! Source name.
 DUR = 30:00   REP = 8              ! 8 scans of 30 minutes each
 /                                  ! End of first group of scans.
 SOURCE='NRAO512'  DUR=30:00  /     ! One scan on another source.
 SOURCE='3C345'  DUR=30:00 REP 9 /  ! 9 more scans on main source.
 $ EXIT                             ! VAX only.  (put $ in col 1.)
 --------------------------------------------------------------------

 NOTES:

 The station catalog defaulted to STATIONS, which could be a file
 or a VMS logical name.

 The example is a VMS .COM file that runs SCHED.  As shown, it is
 assumed that SCHED is in the [RCW.CODE] subdirectory.  
 If the Caltech package is installed, "$ SCHED" should be sufficient.

 On MSDOS and UNIX machines, the lines that start with $ should be
 deleted.  If the SCHED execute module is in the current path and 
 the above file is called C85G.KEY, SCHED can be run with the line:
    SCHED < C85G.KEY
 Beware of case sensitivity in UNIX!


 COMPLEX EXAMPLE  (unix or MSDOS version - no $ commands)
 -------------------------------------------------------------------
 !  First use an in-line catalog for the source coordinates.
 SRCCAT /
 SOURCE='0235+164' RA=02:35:52.6300 DEC= 16:24:03.980 EPOCH='B1950' /
 SOURCE='3C120   ' RA=04:30:31.6000 DEC= 05:14:59.500 EPOCH='B1950' /
 SOURCE='DA193   ' RA=05:52:01.4180 DEC= 39:48:21.840 EPOCH='B1950' /
 ENDCAT /

     !   Cover information:
 EXPT = '3C120, March 11-12, 1986'  ! Any description.
 EXPCODE = 'W42G'                   ! Network code for experiment.
 VERSION = 3.2                      ! Version 1 of schedule
 PINAME = 'Craig Walker'            ! Principal Investigator's name.
 ADDRESS1 = 'NRAO, PO Box O, Socorro, NM, 87801  ! Address.
 PHONE    = '505 835 7247 '         ! Telephone number
 OBSPHONE = '505 835 7247 '         ! Phone number during observations.
 EMAIL    = 'Internet: cwalker@nrao.edu'   ! Electronic mail address.
 FAX      = '505 835 7027 '         ! Phone number for FAX.
 TELEX    = '910-988-1710 '         ! Telex number.
 OBSMODE  = '6cm  Mark II Standard Setup'  ! Observing mode.
 CORREL   = 'Caltech'               ! Correlator to ship tapes to.
 NOTE1    = 'Be sure to measure Tsys before and after every scan'

 !         Now the actual schedule information.
 SRCFILE='NONE'                     ! Don't read external source file.
 STAFILE='STATIONS'                 ! External stations file.

 YEAR = 1986  DAY=78                ! Date of first stop time.
                                    !  MONTH defaulted to 1.
 VLABAND='VC'  VLAMODE='VS'         ! Required information for VLA
                                    ! These mean single dish, 6 cm.
 TANTSTA1='OVRO','BONN'             ! TANT1 requests Ta's for these.
 TANTSTA2='HSTK'                    ! TANT2 requests Ta's for these.
 !  First, a special scan for Arecibo calibration. 
 YEAR 1988  DAY 71  START=19:00:00 
 TPREF 17:0:0            ! Do tape changes at 4 hr intervals from 17UT
 TANT1                   ! Measure Tants at OVRO and BONN (is default)
 TANT2                   ! Measure Tants at HSTK.
 STATIONS=VLBA_PT,OVRO
    SOURCE='0235+164'   DUR=30:00 REP=1  /

 !  Then the main schedule  --  note backward jump in time.
 START=17:30:00
 TANT2=-1                ! Don't measure Ta at HSTK
 STATIONS=BONN, HSTK,NRAO,VLA
     SOURCE='3C120'      DUR=30:00 REP=4  /   !  4 scans on 3C120
 STATIONS=BONN,HSTK,NRAO,VLA,VLBA_PT,OVRO     !  More stations now.
     TANT2                                    !  Ta at HSTK
     SOURCE='0235+164'   DUR=30:00 REP=1  /   !  Calibrator scan
     TANT2 = -1                               !  No Ta at HSTK
     SOURCE='3C120'      DUR=30:00 REP=7  / 
 STATIONS=HSTK,NRAO,VLA,VLBA_PT,OVRO          !  No Bonn.
     SOURCE=DA193        DUR=30:00 REP=1  /   
     SOURCE='3C120'      DUR=30:00 REP=4  /
     SOURCE=DA193        DUR=30:00        /   ! REP defaults to 1.
     SOURCE='3C120'      DUR=30:00 REP=3  /
 STATIONS=VLA,VLBA_PT,OVRO                    ! Source set in East.
     SOURCE='3C120'      DUR=30:00 REP=4  /
     SOURCE=DA193        REP=2  /             ! DUR defaults to 30:00.
    
 ! Final calibration scans in Eastern US.  Another backward time jump.
 START=04:00:00  DAY=12 MONTH=3          !  Use of MONTH  (leap year)
 STATIONS= HSTK,NRAO  SOURCE=DA193  DUR=30:00 REP=6  /

 ! Pick up Arecibo scans.  Note these could have been mixed with
 ! main schedule but this demonstrates how to schedule some 
 ! stations completely separately. 

 START 19:00:00  MONTH 1  DAY 71        ! '=' is optional  MONTH would
                                        ! have defaulted to 3.
 STAT=ARECIBO                           ! Can abbreviate "STATIONS"
   TAPE          ! Force a tape change so Arecibo will use 1 tape.
   SOURCE='0235+164'  DUR=30:00 REP=2  /
   SOURCE='3C120'     DUR=30:00 REP=6  /

 ---------------------------------------------------------------------

 NOTES:

 SPECIFICATION OF STATIONS: The stations list may change at any time.
     However, if it changes at all, the full list must be specified.

 ORDER OF SCANS:  The scans for an individual station must be in time
     order.  However, as long as this constraint is met, the scans may
     be specified to SCHED in any order.  The example shows some ways
     that this can be used.

 SOURCE COORDINATES:  Remember that the phased arrays (VLA and 
     Westerbork) need positions good to a fraction of an arcsecond.

 TAPE CHANGES By default, SCHED will request tape changes at all 
     stations at four hour intervals starting with the start time of
     the earliest scan of the whole schedule (not necessarily the 
     first in the input file) .  If the time for the tape change 
     occurs in the middle of a scan, the change will be requested at
     the beginning of that scan and the next tape change time will
     be moved forward to avoid overflowing the tape.  This is done
     independently for each station so it is possible for the tape
     changes at different stations to fall out of sync.  The default
     should be satisfactory for most observations.
   
     If the default is not what is desired, TPREF can be used to set
     the phasing, relative to the 24 hour UT day, of the tape changes.
     Tapes will be changed at times that are integral numbers of 
     4 hour intervals before or after the time specified by TPREF.
     Note that, since 4 divides 24 evenly, a date specification is
     not needed.  Very few schedules should require anything more
     than this.
     
     A tape change can be forced by the TAPE command.  This also 
     resets the reference time for the automatic tape changes for
     those stations in the scan.  There is no effect on stations not
     in the scan.

     The tape initialization file can be used to give a site specific
     reference time for Mark II observations.

     Automatic tape changes can be turned off by specifying
     AUTOTAPE=-1 (AUTOTAPE is now the default).  Note that a TAPE at
     the start of the schedule will then be required to have the
     initial tape mount requested.

 TANT MEASUREMENT
     Some antennas, but not all, can make useful antenna temperature
     measurements of strong sources.  SCHED can request that such
     measurements be made at stations that use the NRAO and SNAP
     control file formats (the VLA and VLBA do not make such 
     measurements).  The fully general case would be to be able to
     specify for each scan which stations should attempt a Ta 
     measurement.  In the interest of program size, SCHED does not 
     allow this.  SCHED allows two lists of stations to be specified;
     TANTSTA1 and TANTSTA2.  Ta measurements for each group can be 
     turned on and off with TANT1 and TANT2.  The default is to 
     have the measurements made.  If no lists of stations are given,
     Ta measurements will be requested at BONN, OVRO, and NRAO (140')
     but not anywhere else.

2 KEYIN 
               USE OF KEYIN FREE FORMAT INPUT

 Input parameters to SCHED are in the KEYIN free format (after the 
 name of Tim Pearson's subroutine that is used to read it).  The
 important features of that format for SCHED are described here.
 This description is by no means complete and users of the Caltech
 package should refer to other documentation for useful capabilities
 of KEYIN input that are not normally used for SCHED.

 KEYIN input is of the form KEYWORD = VALUE.  Different KEYWORD/VALUE
 pairs are separated by spaces.  The equal sign is optional and the
 input is not case sensitive.  VALUE can be an array, with elements 
 of the array separated by commas.  If the last character on a line 
 is a comma, the input array is assumed to continue on the next line.
 VALUE is a number or a character string.  Quotation marks are 
 required for a character string if it begins with a number or if it 
 contains blanks or commas.

 If VALUE is a time or angle, it can be written in hh:mm:ss or 
 dd:mm:ss format.  Each colon causes all values to the left to be
 multiplied by 60, giving a result to the program that is in seconds.
 Values less than an hour or degree can be written mm:ss or just ss.
 However even hours or degrees require the colons - eg 2 degrees is
 written as 2:0:0.  Numbers larger then 60 are allowed for the minutes
 and seconds.  For example, 2:40 and 160 are equivalent.

 KEYWORDs can be specified without a value.  This is equivalent, as
 far as the program knows, to specifying a value of zero.  Some
 KEYWORDS are used in this way as logical switches to cause something
 to happen.  LST, PEAK, and TAPE are examples from SCHED.  Usually
 the effect of such a switch can be reversed by specifying a non-zero
 value.

 An exclamation mark (!) causes all items on the rest of the line to
 be ignored.  This is useful for adding comments.

 KEYIN input for a scan is terminated with a /.  If SCHED is run
 interactively, once all scans have been input, issue "exit /"
 to cause the program to finish its processing.

 The following illustrates some valid KEYIN input that would be 
 understood by SCHED (such inconsistent style is not recommended but
 it would work):

  SOURCE='0235+164'  YEar = 1988  day 67  Stations = 'OVRO',NRAO,
   vla,vlba_pt  stop 03:35:00  dur = 15:00  
  comment 'Quotes are needed for more than one word.'  /

 Some parameters can be abbreviated.  In the PARAMETERS section of
 this file, the optional characters are shown in lower case.

 When a program that uses KEYIN is run interactively, the user can 
 obtain HELP information by typing HELP / and can obtain a list of
 the current values of all input variables by typing SHOW /.  If
 everything is properly set up, HELP will give the full help file
 on a VAX.  Otherwise, a list of variables is generated.

 KEYIN values can be mathematical statements in parenthesis (eg.
 MYPARM=(4+5/7) ).  This is not very useful for SCHED so will not
 be described further here.



2 CATALOGS
                SOURCE AND STATION CATALOG FORMATS

 SCHED uses two catalogs, one for sources and one for stations.  Both
 are in KEYIN format.  Entries are terminated with a /.  

 If all your sources are in the standard Caltech system catalog (VLA 
 calibrator list), you can ignore this section.  All of your stations
 are almost certainly in the standard catalog, although you may need
 to look at that catalog to get the proper names to use.

 All parameters except Epoch revert to a default unless specified
 for a source.  Epoch defaults to the last specified.

 The parameters for each entry in the source catalog are (recall that
 lower case implies optional characters):

     Source  -  Up to 5 source names (to handle aliases).  Up to 12 
                characters per name.  

                Note that SNAP files require source names of 10 
                characters or less.  Also, the VLA observe files have 
                a total of 13 characters for the source name plus 
                qualifier.  If the qualifier is 0 (default), no  
                characters are needed for it. Otherwise, the qualifier   
                needs however many digits it uses (eg 2 for qualifier 
                33) plus one for a blank to separate it from the 
                source name.

                If either the VLA or a SNAP file needs shorter name,
                SCHED will use the first alias of 8 characters or less.
                be sure to include such an alias if it will be 
                needed.

                Do not include imbedded blanks in source names.  They
                cause problems at a variety of places in processing.

                Note that the Mark III correlators and the geodetic
                software have 8 character source name limits.

     Ra      -  The right ascension.  Remember that the VLA and 
                Westerbork need sub-arcsecond positions for phasing.

     Dec     -  The declination.

     Epoch   -  The epoch of the observations.  The allowed values 
                are 'B1950', 'J2000', and 'DATE'

     Calcode -  A single character calcode used for VLA .OBS files.
                Optional for SCHED.

     Velocity - The LSR velocity (km/s) of a spectral line source.  
                Up to 8 values can be given, one per channel.  The
                value for the first channel will be used for any
                channels for which no velocity is specified.

     PMEPOCH -  For proper (or planetary) motion, the offset from the
                Ra and Dec are assumed to be zero at this time.
                Format: PMEPOCH=yyyy,mm,dd,hh:mm:ss
                Example:  PMEPOCH=1990,12,7,15:0:0 for 15 hr UT on
                  Dec. 7, 1990.

     DRA     -  Rate of change of RA in seconds of time per UT day.

     DDEC    -  Rate of change of Dec in arcseconds per UT day.
                Note that the Az and El reported by sched will not
                take into account DRA and DDEC

 The parameters of the station catalog are:

     STAtion  - The station name.  Up to 8 characters.

     STCode   - The Network station code.  Up to 3 characters.

     CONtrol  - The telescope control file type.  Valid options are
                'SNAP' for most stations, 'NRAO' for 140' type control
                cards, 'VLA' for VLA .OBS decks, and 'VLBA' for VLBA
                control files.  A "V" in the 5th character will cause
                VLBA files to control DAR and tape to be produced in 
                addition to the other files.  Note that this is the 
                default for the VLA type and, or course, for the VLBA.
                'SN50' is also available for SNAP with forced 1950
                coordinates.

     ELev     - Station elevation in meters above sea level for 
                geodetic coordinates or meters from the center of the
                Earth for geocentric coordinates (distinguished by
                magnitude).

     LAT      - Station latitude (geodetic or geocentric) (dd:mm:ss).

     LONG     - Station longitude (ditto) (ddd:mm:ss - positive in 
                U.S.) 

     HALim    - Hour angle limit in hours.

     ZALim    - Zenith angle limit in degrees.

     X        - Station X coordinate in meters (not used by SCHED).

     Y        - Station Y coordinate in meters (not used by SCHED).

     Z        - Station Z coordinate in meters (not used by SCHED).

     DEScrip  - Any text up to 80 characters (not used by SCHED).
     
 SCHED input parameters SRCFILE and STAFILE are used to point to any
 desired external catalogs.  File names of up to 80 characters can be
 specified.  The defaults are SRCFILE=SOURCES and STAFILE=STATIONS.
 These could be files without extension in the default directory.  On
 VAX's, they are treated as logicals if such logicals are defined
 (as they automatically are for users of the Caltech package).

 Programs STACONV and SRCCONV can be used to convert old style Caltech
 package station and source catalogs, respectively, into the KEYIN
 style catalogs described here.

 IN-LINE CATALOGS:

 Catalog information can be given in the main SCHED control file.
 If the keyword STACAT appears, all input after the next / is assumed
 to consist of station catalog entries until a line containing the
 keyword ENDCAT and a / is encountered (don't combine this keyword 
 with a catalog entry).  Similarily, the following entries are 
 expected to be a source catalog if SRCCAT is specified.  Again, the
 catalog entries should end with an ENDCAT /.  Such "in-line" catalogs
 may appear anywhere in a schedule, although it is probably best to
 put them at the beginning or end.  

 Both in-line catalog entries and an external catalog may be used for
 either the source or the station catalog.  For example, the standard
 catalog (which on the Caltech and NRAO systems contains the VLA
 calibrator list) could be used for fringe finders etc while unique
 program sources could be entered in an in-line catalog.  SCHED will
 look in the external catalog for any source not found in in-line
 catalog entries.  If you wish to prevent SCHED from looking in 
 external catalogs, specify SRCFILE=NONE and/or STAFILE=NONE.

 The in-line catalogs are especially useful for the source catalog if
 the SCHED control file is to be transfered to another computer and
 run there - for example, as part of schedule distribution through
 NRAO or if any observatory wants the control file instead of the
 output file (the VLBA, for one).

 EXAMPLES:

 Below are a few entries from the CIT standard source and station
 catalogs as examples of the use of catalogs.

 Portions of the source catalog: 

 SOURCE='0013-005' RA=00:13:37.3470 DEC=-00:31:52.500 EPOCH='B1950' 
   CALCODE='C' /
 SOURCE='0016+731' RA=00:16:54.1980 DEC= 73:10:51.460 EPOCH='B1950' 
   CALCODE='C' /
 SOURCE='0019-000' RA=00:19:51.6500 DEC=-00:01:41.770 EPOCH='B1950' 
   CALCODE='C' /

 Portions of the stations catalog:

  STATION=VLBA_MK   STCODE=MK  CONTROL=VLBA  ZALIM=88.000  HALIM=12.0
       ELEV=    3720.00  LONG= 155:27:28.95    LAT= 19:48:15.85     / 
  STATION=VLBA_HN   STCODE=HN  CONTROL=VLBA  ZALIM=88.000  HALIM=12.0
       ELEV=     309.00  LONG= 071:59:11.69    LAT= 42:56:00.96     / 
  STATION=ARECIBO   STCODE=A  CONTROL=NRAO  ZALIM=20.000  HALIM=12.000
       ELEV=     496.00  LONG= 066:45:11.89    LAT= 18:20:36.60     / 
  STATION=ARO       STCODE=C  CONTROL=SNAP  ZALIM=80.000  HALIM=12.000
       ELEV= 6368600.00  LONG= 078:04:11.99    LAT= 45:57:00.01     / 


2 MARK_III 
             SCHEDULING MARK III VLBI OBSERVATIONS

 Mark III observations on the VLBA and VLA antennas can be scheduled 
 directly with SCHED.  The input file looks very much like a Mark II
 schedule, except that much more setup information is needed and the 
 fact that the tape is usually stopped between scans must be handled.
 The special parameters used to provide these capabilities are 
 described below.  The SETUP, TAPEFILE, and VLBA sections give more 
 details.  A SETUP file must be specified for Mark III scheduling.

 SCHED is not intended for scheduling of full Mark III observations 
 involving non-VLBA stations.  PC-SCHED, written by Alan Rogers and 
 Dave Schultz at Haystack (unrelated to SCHED), or SKED should be 
 used.  PC-SCHED, can read basic SCHED input to get scan times and
 generate Mark III schedules. 

 Normally Mark III observations are scheduled with SKED or PC-SCHED.
 These programs produce a "Standard Schedule File Format" file, 
 hereafter called a SKED file (It has many names; .skd file, DRUDG
 file, $SKD file ...).  Program DRUDG is used to convert this
 file to the SNAP file used by most Mark III stations to control the
 Mark III field system and, often, the telescope.  There is a version
 of DRUDG that can produce VLBA control files and PC-SCHED may produce
 them directly.  However the setup information for the VLBA can 
 change on short notice and the output of the above programs may not
 be complete, so it is recommended that only experienced users in 
 close touch with the VLBA staff produce their own VLBA control 
 files.  Note that, if VLBA files are sent without complete setup 
 information and without the SKED file, it may not be possible to 
 complete the setup specifications properly.

 A program called SKEDCONV exists to convert SKED files into SCHED
 input files.  It is recommended that most VLBA Mark III observers
 send their SKED files to the VLBA where the staff will use 
 SKEDCONV and SCHED, along with current SETUP files, to make the
 VLBA control files.  The SKED files can be sent on IBM floppies,
 tape, EMAIL, direct electronic transfer with KERMIT or VTRANS, or 
 they can be left in the NUG area on UVAX1.  Do not send HP floppies 
 since the HP at the VLA does not talk to other computers.

 If you use SCHED directly to make a Mark III schedule, the following
 parameters are of interest:

 OBSTYPE  - Tells the program what type of recording is being used
            in order to schedule tape changes properly.  For Mark III
            observations, specify 'MKIII'. 
 
 PRESCAN  - Most Mark III observers stop the tape between scans.
            Normally, SCHED schedules the tape to be moving from 
            the START time to the STOP time.  PRESCAN specifies
            a time by which the start of tape motion should be 
            delayed from the START time.  This is mostly useful when
            scheduling by duration when the START time equals the 
            previous stop time.  Note the the STOP time is not
            altered.  Tape motion occurs for a time equal to the
            scan duration minus the PRESCAN time.  VLBA control 
            actually wind up with two scans, one of duration 
            PRESCAN with tapes stopped and one of duration 
            DUR-PRESCAN with tapes moving.

 SETUP    - Most of the details of the Mark III setup are specified
            in a setup file.  See the section on setup files for
            details.

 TAPEFILE - This specifies a file that contains startup status for
            tapes at the sites.  See the section of tape 
            initialization for details.

 TAPEINI  - The "TAPEFILE" information can be given in-line like the
            other catalogs.  A line containing TAPEINI and / is 
            assumed to be followed by one group of in-line tape 
            initialization inputs followed in turn by a /.

 TPRATE   - A multiplier for the tape speed, bandwidths, and sample
            rates.  Should be power of 2.  The ability to vary the
            recording rate is not normally used for Mark III but may
            be more common for the VLBA.

 REWIND   - Rewind the tape at the fastest speed during the prescan
            then record in the forward direction.

 FASTFOR  - Run the tape foreward at the fastest speed during the
            prescan then record in reverse.

 REVERSE  - Reverse the direction of the tape without moving to a new
            position.

 TAPE     - Force a tape change.

 RECORD   - Record tape during this scan.  This is the default, but
            setting RECORD to a non-zero value can be used to turn
            off recording.  This is useful for VLA phasing scans, etc.



2 TAPEFILE
               The Tape Initialization File

 The Tape Initialization File is part of an attempt to deal with
 the general case of VLBA tape handling.  Users other than VLBA
 staff are very unlikely to need to know about it.

 The full operational VLBA case requires dealing with tape changes
 that are not simultaneous at each station and that do not coincide
 with program changes.  In addition, many combinations of tape speed
 and number of heads being recorded at once are allowed.  Eventually
 the on-line systems will take care of all of this and the users 
 will only need to worry about some very general restrictions.
 Automatic tape allocation and automatic reversals can be requested
 using the AUTOTAPE input to SCHED, however these options are not
 fully operational as of Nov. 1992.  The Oct 90 version of SCHED 
 makes a first cut at dealing with the general VLBA case, but with
 the following restrictions:

  1.  The tape drive and head position for each station are assumed
      to be known ahead of time.  The array scheduling must specify
      both the time range and the amount of tape to be used.

  2.  The number of heads in use at a time (8, 16, or 32), which
      determines the number of passes per head index position 
      (1, 2, or 4 - specified by TPMODE in the SETUP file), is
      not allowed to change during an experiment at a station 
      although different stations may use different TPMODEs.

  3.  The two tape, 512 Mbps mode is not yet supported.

 The following capabilities are supported.

  1.  Different tape lengths at different stations.

  2.  Tape drive and index position at program start specified
      for each station.

  3.  Tape speed, bandwidth, and sample rate can change during run.

  4.  Different number of tape drives at each station.

 The TAPEFILE is used to specify the initial conditions for each
 program.  It is expected that such a file will be maintained by VLBA
 operations for use during the preparation of the final schedules.
 With the above restrictions, PI's can run SCHED ahead of time with
 default startup conditions to test the schedule.  As long as there 
 are two tape drives at each site, so no time need be allocated for
 tape changes, it should not matter when the SCHED is run again later
 with the actual startup conditions.  The file name of the TAPEFILE
 is specified with the 80 character input, TAPEFILE, in the main 
 SCHED input.

 A full TAPEFILE would contain a set of inputs for each experiment.
 Each set of inputs must be followed by a /.  The file
 can also contain a default set for use by other experiments.
 Note that SCHED contains a reasonable set of defaults, so no 
 TAPEFILE is will be needed in many cases while the VLBA is still
 in a mode of having separate tapes for each experiment.

 A single set of tape initialization conditions can be specified 
 in the SCHED main input data stream using TAPEINI followed by a /
 in much the same way that in-line catalogs are given.  No other
 inputs should be given in the group with TAPEINI.  Unlike the 
 source and station catalogs, only one input group will be read 
 (terminated by a /).  No ENDCAT or equivalent is required, or 
 even allowed.



 The input parameters of the TAPEFILE are:

 NDRIVES  - The number of tape drives at each station.  For the 
            VLBA, fully equipped sites will have 2.  Other sites 
            will usually have 1.  This used to be read from the 
            station catalog but it has become clear that it will 
            be easier to put it here.  Note that the schedule
            can be forced to use a single tape drive other than 
            1 by setting NDRIVES=1 and TPDRIVE=N where N is the
            desired drive (usually 2).  This is useful if, for
            example, tape drive 1 is broken.

              Argument:  An array of up to 30 integers, one for 
                         each station in the TPSTA list.
              Options:   1 or 2 are the likely choices.
              Default:   1
              Usage:     Defaults to previous group.
              Example:   NDRIVES = 1, 1, 2, 2, 1, 2

 NHEADPOS - The number of head positions to use at the station.
            The traditional number for Mark IIIa sites is 12.
            However, the VLBA now uses a head position sequence
            with 14 positions.  This allows more data to be put
            on a tape.  This input is provided mainly to allow
            the number of head positions to be forced to 12 to
            match a schedule made to allow time for tape changes
            every 12 head positions.  This is likely to be common
            for Mark III programs.

              Argument:  An array of up to 30 integers, one for
                         each station in the TPSTA list.
              Options:   12 or 14 are the likely choices but the
                         program will take any value.
              Default:   14
              Usage:     Defaults to previous group.
              Example:   NHEADPOS = 12, 12, 14, 14, 12, 14

 OBSCODE  - The program code for the experiment for which this group
            of inputs applies.

              Argument:  Character (length 8)
              Options:   Any valid program code
              Default:   'DEFAULT'.  Implies that this group will
                         give the default information.
              Usage:     Defaults to previous group, which is not
                         likely to be useful.
              Example:   OBSCODE='NT35'

 TPSTA    - An array of up to 30 station names.  One can be
            'DEFAULT' which means that the corresponding parameters
            will be used for stations not explicitly in the list.
            
              Argument:  Character (length 8)
              Options:   Any station name.
              Default:   Blank
              Usage:     Defaults to previous value if none are
                         specified.  This is likely to be the normal 
                         mode of use with the station list only 
                         given for the first observation.  If any 
                         stations are given, it is assumed that a
                         complete new list is being given.
              Example:   TPSTA='VLBA_PT','VLBA_KP','VLA'

 TPDRIVE  - The tape drive on which to start the run.  Each element
            in the array applies to the station in the corresponding
            element in the TPSTA array. 

            If NDRIVES = 1, the schedule will use the tape drive 
            specified by TPDRIVE for all scans.  This is useful for
            cases when tape drive 1 is broken.

              Argument:  An array of 30 integers.
              Options:   1 or 2 for VLBA sites.  1 for most others.
              Default:   1
              Usage:     Defaults to previous value.
              Example:   TPDRIVE=2, 1, 1

 TPINDEX  - The head index position on which to start.  It will be 
            assumed that there are no previously recorded data at this
            index position.  A value for each station in TPSTA.
            With the new head position sequence all forward passes
            start on odd numbered index positions.  SCHED will 
            require TPINDEX be odd and will add 1 to any even value.

              Argument:  An array of 30 odd integers.
              Options:   Integer between 1 and 13.
              Default:   1
              Usage:     Defaults to previous value.
              Example:   TPINDEX= 5, 6, 2

 TPLENGTH - The length of the tapes in use at each site.  Normal 
            Mark III stations will use 9000 foot tapes while the
            VLBA, VLA and some others will use 18000 foot or longer
            tapes.

              Argument:  An array of 30 integers giving tape lengths
                         in feet.
              Options:   Any value, but 9000 and 18000 are likely
                         to be the true values for 1990-1991.
              Default:   9000.
              Usage:     Defaults to previous value.
              Example:   TPLENGTH=18000,9000,9000

 TPTIME   - This is for Mark II.  It specifies the reference time
            for tape changes at each site.  The tapes at the station
            will be changed an integral number of 4 hour intervals
            before or after this time.  In effect, it is a station
            dependent TPREF.  This value, if specified, will 
            override TPREF for the corresponding station.

              Argument:  An array of 30 times (hh:mm:ss).
              Options:   Any valid time between 0 and 24 hours.
              Default:   -1 which causes it not to be used.
                         TPREF or the first scan of the experiment
                         will be used instead.
              Usage:     Defaults to previous value.
              Example:   TPTIME= 2:0:0, 3:0:0, 2:0:0




2 SPECTRAL_LINE
         Doppler Based Frequency Setting for Spectral Line

 SCHED can set observing frequencies for Spectral Line observations
 based on LSR velocities provided in the source catalog and rest
 frequencies provided in a separate type of input.  SCHED calculates
 the velocity of the center of the Earth with respect to the LSR in
 the direction of the source at the time of the middle of the 
 experiment.  From this velocity and the rest frequency, the required
 observing center frequency is calculated.  The antennas need to know
 the LO settings to use so SCHED must know the bandwidth.  Therefore
 if Doppler calculations are requested, the bandwidths for each 
 channel must be specified with the BW input.  If the net sideband 
 is lower, a negative value for the BW should be given.  The default
 continuum frequency will be used for any channel for which a BW
 is not given.

 Note that the calculations are for the center of the Earth for the
 middle of the experiment.  This implies that the frequency for each
 source will be constant for the duration of the experiment.  
 Experience over the years with spectral line VLBI has shown this to
 be the preferred observing mode since it minimizes the chances of
 mistakes at stations that do not have automatic frequency setting.
 The shifts of the resulting spectra of about a km/s that result from
 the rotation of the Earth can be removed in post-processing with
 the CVEL program in the NRAO spectral line software or with a task
 with similar capability in AIPS.

 Internally, if Doppler calculation is requested, SCHED calculates the
 desired observing frequencies and puts them in the same array that
 would be used if FREQ were used.  This will override any FREQ 
 specifications.  For the VLBA and the VLA, when appropriate SETUP
 files are used, the frequencies of the LO's are set properly.  For 
 both, the baseband synthesizers are set to the required values.  
 The SETUP file must contain the settings of all other LO's and, in 
 the FIRSTLO parameter, the sum of all other LO's.  For the VLBA, 
 the FIRSTLO is just the front end synthesizer setting (or the sum 
 of the two for 1.3 cm or the sum of the first and 3 times the third
 for 7mm).  For the VLA, it is the band edge frequency of the VLA
 plus or minus 600 MHz depending on the sideband.

 The FIRSTLO (MHz) for the VLA should be:
      20, 6, and 1 cm --- FIRSTLO = F1 + F6 + 900 + FA - 600
      4 and 2 cm     --- FIRSTLO = F1 - F6 - 900 - FA + 600
      where F1 = VLAFEAB(LS) * 1000
            F6 = VLASYNA(LS)         Not yet rounded off.
            FA = FLUKEA(LS)  Fluke setting
 For 4 and 2 cm, the sideband is inverted and the BBC sideband
 should be opposite of the desired net sideband.  Note that, since
 the VLBA is inverted at 20 cm, this requires that the setup file
 specify opposite sidebands for the VLA and VLBA for 20, 4, and 2
 cm bands.  Please see separate documentation on VLBI at the VLA 
 for details of the LO system.  It is best to use an existing SETUP 
 file that is known to work or check with an expert before using 
 the Doppler frequency setting capability of SCHED for the VLA.

 The number of channels desired is set with NCHAN (default=1) which
 affects the number of frequencies listed in the operator schedules
 and in SNAP files.  VLBA control files use the NCHAN specified
 in the setup file.  To calculate a frequency, SCHED must have a
 bandwidth (SCHED input), a velocity (source catalog), and a 
 rest frequency (LINEINIT input) for each channel.  If a value is
 missing for any channel of any parameter, the value of that 
 parameter for channel 1 will be used.  This avoids the need, for
 example, of specifying lots of bandwidths when they are all the
 same.  

 For continuum sources mixed in with line sources, 
 specify DOPCAL=-1 for that scan to avoid the Doppler calculations 
 and the test of the number of frequencies etc.

 Often it is desired to observe a continuum source at the same 
 frequency as a line source for bandpass calibration.  This can be
 done by specifying the line source with DOPSRC in the continuum
 source's scan.  The DOPSRC will be used for the Doppler calculation.

 The inportant parameters in the main SCHED input for Doppler 
 frequency calculation are (detailed descriptions are given with the
 descriptions of other SCHED parameters):

    DOPCAL  - Requests that the Doppler calculations be done.
    DOPSRC  - Set the frequency for this source, not the one being
              observed.  For bandpass calibration.
    LINENAME- Specifies which group of rest frequencies to use.
              Matched to LINESET in the LINEINIT input.
    BW      - Bandwidth - must be set.  Negative for net lower 
              sideband.
    LINEINIT- The following lines contain rest frequencies.

 The rest frequencies are specified in a separate set of KEYIN inputs
 that are in the main SCHED input stream following a line containing
 just the LINEINIT.  There can be up to 8 frequencies in each group.
 There should be corresponding velocities (up to 8) in the source file
 for each source to be observed (other than continuum calibrators).
 Each group of lines has a name which is then refered to using 
 LINENAME in the scan input.  The group can change with each scan
 (be careful to change the SETUP too, if necessary).  Up to 10 groups
 of lines are allowed.  The parameters in the LINEINIT group are:

 LINESET  - The name of the group of lines.  LINENAME in the scan
            input will be used to invoke this group.

              Argument:  Name of up to 8 characters.
              Options:   Any name.
              Default:   None
              Usage:     Defaults to previous value - don't do it!
              Example:   LINESET='H2O'

 RESTFREQ - The rest frequencies.

              Argument:  Up to 8 real numbers.  The first value will
                         be used for any channels for which a value
                         is not given.
              Options:   Any value.
              Default:   0
              Usage:     Defaults to previous value.
              Example:   RESTFREQ=22235.08
 
 ENDLINES - This parameter, on a separate line with a / ends the 
            restfrequency inputs much like the ENDCAT parameters
            end in-line source and station catalog inputs.

              Argument:  None
              Options:   None
              Default:   Not specified.
              Usage:     Defaults to previous value, but this has no
                         effect since this will be the last line of
                         the rest frequency input to be read.
              Example:   ENDLINES  /


 EXAMPLE
 ------------------------------------------------------------------
    !  Establish the rest frequencies for some lines.
    !  The number of frequencies must match the number of channels.
 LINEINIT  /
 LINESET='H20'    RESTFREQ=22235.08  /
 LINESET='OH1665' RESTFREQ=1665.402  /
 ENDLINES /
    !  Inline source catalog example with one velocity set.
    !  The number of velocities must equal the number of channels.
 SRCCAT /
 EPOCH='B1950'
 SOURCE='ON1'      RA=20:08:09.95  DEC=31:22:40.6  VEL=13.0  /
 SOURCE='W75S'     RA=20:37:13.30  DEC=42:12:09.7  VEL=1.0   /
 SOURCE='CEPA'     RA=22:54:19.09  DEC=61:45:45.6  VEL=-5.3  /
 ENDCAT /

     !   Cover information:
 EXPT ' VLA and SNAP frequencies test of SCHED '
 EXPCODE 'T1'      
 VERSION = 3.2                      ! Version 1 of schedule
 PINAME   = 'Craig Walker'          ! Principal Investigator's name.
 ADDRESS1 = 'NRAO, PO Box O, Socorro, NM, 87801  ! Address.
 PHONE    = '505 835 7247 '         ! Telephone number
 OBSPHONE = '505 835 7247 '         ! Phone number during observations.
 EMAIL    = 'Internet: cwalker@nrao.edu'   ! Electronic mail address.
 FAX      = '505 835 7027 '         ! Phone number for FAX.
 TELEX    = '910-988-1710 '         ! Telex number.
 OBSMODE  = '18cm Spectral line, Mark II '  ! Observing mode.
 CORREL   = 'Socorro'               ! Correlator to ship tapes to.
 NOTE1    = 'Be sure set frequencies where needed. '

    !    Schedule:
 SRCFILE='SOURCES.PT'  ! Source file (just for continuum sources here).
 STAFILE='STATIONS' 
 SETUP='SETUPS\NUG18CM.SET' 
 OBSTYPE='MKII'
 YEAR 1990 MONTH 9  DAY  15  START 05:00:00
 STAT 'VLBA_PT', 'VLA', 'HSTK'
 VLABAND 'VC' VLAMODE 'VS'   !  These are required if the VLA is used.

 BW=0.125  !  The number of bandwidths must equal the number of channels.
 LINENAME='OH1665'  DOPCAL

 DUR  20:00                          ! All scans 20 minutes.
 SOURCE '3C84'    DOPSRC 'ON1' /
 SOURCE 'ON1'     /                  ! DOPSRC defaults to 'ON1'
 SOURCE 'W75S'    DOPSRC ' ' REP 5 / ! SOURCE used for DOPSRC
 SOURCE 'ON1'     /
 SOURCE 'W75S'    /
 SOURCE 'ON1'     /
 SOURCE 'W75S'    DOPSRC 'W75S'/
 SOURCE '3C84'    /
 SOURCE 'CEPA'    DOPSRC 'CEPA' /
 SOURCE '3C84'    /
 -----------------------------------------------------------------


2 VLA 
                SCHEDULING THE VLA WITH SCHED

 Two types of files are needed for VLBI observations at the VLA.
 The first is the OBSERV DECK that is used by the on-line computers
 to control the antennas and correlator.  The second is a VLBA style
 control file for the Motorola that controls the VLBA wide band 
 recorder.  The Hp is still used to control the Mark III data 
 aquisition rack, but the vast majority of experiments will only
 use a simple proceedure to set up that rack and the PI's need not
 be concerned with making that proceedure.
  
 The VLBA control file (called xxxCRD.Y by SCHED) is similar to those
 provided for VLBA stations, except that most commands not related
 to scan times and tape drive control are omitted.  This file controls
 when the tape starts and stops, what head positions are in use, and
 which head groups are activated.

 The OBSERV DECK (named xxxOBS.Y by SCHED) is the file that is
 normally created by OBSERV at the VLA and given to the on-line
 system.  While SCHED is intended for VLBI scheduling and this
 output was provided for experiments that use the VLA for VLBI,
 there is no reason that it cannot be used for scheduling pure VLA
 observations.  In fact, a few parameters of interest only for
 non-VLBI observations are provided for VLA observers including the
 ability to schedule in LST.  However, SCHED has only limited
 ability to provide the special setup cards (those that start with
 //).  

 SCHED can provide //LO and //FI cards with parameters to set
 synthesizers to fixed values.  The SETUP file can be used to
 provide values for the synthesizer settings.  If FREQ or DOPCAL is
 used, the BBC settings will be adjusted to try to reach the right
 frequency for the VLBI data.  Note that this has no effect on the
 VLA observing frequency.  //LO and //FI cards are provided if, 
 and only if, the required information is present in the SETUP file.

 SCHED also provides the //PM cards if proper (or planetary) motion
 is present for the source in the source catalog.  Since the 
 epoch of zero offset is given in IAT, IAT-UTC must be provided
 with parameter IATUTC in the SCHED input file. 

 If other // cards are needed, or other options are needed on the
 //LO and //FI cards, the regular VLA scheduling programs must be 
 used or they must be edited in by hand.  Beware of the fixed 
 formats - if values are put in the wrong columns, the on-line 
 system will not behave as expected!
 

3 VLBI 
 For Mark II VLBI observations that use the VLA, the parameters 
 VLAMODE and VLABAND are required.  All other parameters default to
 reasonable values so, once these parameters are specified, the VLA
 can be treated like any other observatory.  A VLBA tape control 
 file will be created, but is not needed and can be deleted.

 For Mark III observations, both the OBSERV DECK and the VLBA tape
 control files are needed and are created by SCHED.  All of the
 controls provided for managing tapes for the VLBA also work for
 the VLA.  Consult the TAPEFILE section for more details.  The
 usual way for Mark III observers to schedule the VLA will be to
 prepare a schedule using PC_SCHED (the Haystack program) and send
 the resulting "Standard Schedule File Format" or SKED file to the
 VLA/VLBA staff.  The staff will convert that file to SCHED input
 using SKEDCONV and then run SCHED to create the required files for
 both the VLA and the VLBA.  Users not trying to schedule telescopes
 other than the VLA and VLBA can use SCHED directly.

 For observations of weak or extended sources with the full VLA,
 the array must be phased in VA mode on a calibrator prior to 
 VLBI observations in VX mode on the program source.  These 
 calibrator observations constitute additional scans that must
 be in the VLA OBSERV DECK but that no other VLBI observatory
 or the tape control file for the VLA needs to know about (Note
 that Westerbork needs something of the sort, but they have never
 requested special information in SCHED output files).  Adding
 phasing sources it tricky, because it is desirable to spend a
 minimum amount of time on them, but if they are missed, the
 rest of the data will be bad.

 The parameter VLAPSRC can be used to request phasing observations
 for the VLA.  VLAPSRC is a source name (the source must be in
 the same catalogs that are searched for SOURCE and DOPSRC) of
 a calibrator near the program source, SOURCE.  SCHED will add
 a scan to the OBSERV DECK which will end either one minute 
 before the main VLBI scan starts, or 3 minutes after the previous
 VLBI scan ends, whichever is later.  If the latter option is
 used, SCHED complains if less than 2 minutes of the VLBI scan
 remains.  Also with the latter option, the VLBA style tape 
 control file will still start the tape when the main VLBI
 scan was supposed to start.  This keeps tape motions at the
 VLA and other sites synchronized.  SCHED will not add a phasing
 scan if the VLBI scan is mode VA (autophasing) or if the
 VLAPSRC is the same as SOURCE.  This avoids the need to keep
 respecifying VLAPSRC whenever a VLBI calibrator is observed
 in mode VA and prevents additional scans when the VLBI schedule
 calls for observations of the phasing source.

 It is highly recommended that the VLA OBSERV program be used
 to check the VLA OBSERV DECK for slew and dwell times on the
 phasing sources.  The scan stop times may have to be adjusted
 with OBSERV to obtain an adequate amount of on-source time
 for phasing.  It is especially critical to be careful about
 slew times for sources near the zenith where long azimuth
 slews may be needed to go a short distance on the sky.

3 PURE_VLA_OBSERVATIONS.
 SCHED can be used instead of other VLA scheduling programs to 
 generate schedules for normal VLA observations as long only certain
 types of setup cards (// cards) are needed.  Schedules look very 
 much like the examples shown in the MARK II section, although only 
 one station will be specified.  Parameters are provided, and listed 
 below, to control some of the input information for which the 
 Mark II defaults may not be appropriate.

3 VLA_PARAMETERS
                  Parameters specific for the VLA

 VLATYPE  - Specify the type of observations.  Should be provided
            for non-VLBI observations.  Valid options are 'VLBI',
            'CONTINUUM','LINE'

 VLANTSYS - This turns off the Tsys corrections made to the
            correlated VLA data.  This used to be required in order
            to obtain calibration data for the VLBI observations.
            That is no longer true so most observations can be made
            with the Tsys corrections turned on which is now the
            default.  VLANTSYS provides a mechanism to turn them off
            for special cases.

 VLAFILE  - Specify a file name that will go on the second card of
            the OBSERV DECK.  This used to be important for the 
            DEC10, but it is not clear that it is used any more.

 VLAUSERN - This gives the VLA user number.  The default of 600 is
            reasonable for VLBI but the actual user number should
            be provided for other types of observation.

 VLAMODE  - Specify the VLA mode.  Common options are '  ', VA, VX,
            and VS.  See VLA documentation for others.

 VLABAND  - Specify the frequency - must be one of the defaults 
            without the //LO and //FI cards.  Some valid options are
            VP, VL, VC, VX, VK, PP, LL, CC, XX, UU, KK, HH, 18, 
            and 21.  

 VLABW    - Specify the bandwidth for each of the 4 VLA IF's as a
            4 digit number in quotes (SCHED treats it as a character
            string) - one digit for each IF.  The default
            is '0000' for 50 MHz in each IF.  The specified bandwidth
            is 50/(2**n) MHz where n is the digit specified.

 LST      - The schedule is assumed to be in LST.  LST specified 
            without a value assumes the VLA.  A station name can
            be given as the argument, in which case the LST is
            for that station.  When LST is specified, the DAY must
            be the modified local sidereal day number as found on
            VLA schedules.

 DAY      - Must be the modified local sidereal day number as found
            on VLA schedules if LST is specified.  In such cases,
            YEAR and MONTH are ignored.

 IATUTC   - The difference between IAT and UTC which is currently 
            about 25 seconds.  This is only used for setting the
            zero offset epoch for the //PM (proper motion) card.

 SETUP    - Specifies the SETUP file from which information for
            the //LO and //FI cards are taken.

 FREQ     - Specifies the LO sum to be used for the observations.
            If //LO and //FI card information is present, the
            Fluke synthesizer settings will be adjusted to obtain
            the right frequency for the first channel.  The sum
            of the other LO's must be provided in the parameter
            FIRSTLO in the SETUP file.

 DOPCAL   - Triggers the Doppler calculations and sets FREQ to a
            velocity dependent value.  See the Doppler section.

 RECORD   - Record data during this scan.  This is the default, but
            it can be set to a non-zero value to turn off recording
            for VLA phasing scans or for normal mode VLA observations
            that might be used to get flux densities.

 VLAPSRC  - Phasing source to use before a VX mode scan.

 There are also a number of parameters in the SETUP file that apply
 only to the VLA.  They are used for setting up the //FI and //LO
 cards.  They are:

 FEFILTER - The front end filters are normally 50 MHz wide.  If there
            is strong RFI near the observing frequency as is common
            at L and P bands, it may be desirable to use the 25 MHz
            or 12.5 MHz filters.  This parameter is used to request
            the filters to use.  It goes on the //LO card.

 FLUKESET - The flukeset (1 or 2) to be used.  Unfortunately there
            seems to be no good way to predict this reliably.  Usually
            Flukeset 1 will be used for phased array and normal VLA
            observations while Flukeset 2 will be used for single 
            antenna VLBI, but this is not always true.  The operators
            should be alerted that Flukeset specified on the //FI
            card might have to be changed.  If it is not specified,
            or set to 0, a blank will be given and the operators
            will set it.
 
 FLUKEA   - The A Fluke synthesizer frequency.  It is usually near 
            100 MHz.  See the VLBI at the VLA guide for details on 
            what it should be.  See the section on Doppler 
            calibration for more information on the frequency 
            settings.

 FLUKEB   - The B Fluke synthesizer frequency.  Actually this is 
            the value for the //FI card which is twice the actual 
            synthesizer setting.  To get the same frequency on the
            AC and BD IF's, FLUKEB should be FLUKEA + 100.0

 VLAFEAB  - The first LO for the VLA observations for the AB IF's
            (eg. RCP).  The value should be -3.2 for L band, 0 for C 
            band, and 17.5 for the Network K band.  Again see VLA 
            documentation for details of other alternatives.

 VLAFECD  - The same as VLAFEAB but for the CD IF's (eg. LCP).

 VLAIF    - The name of the IF file that contains gain and efficiency
            data.  This goes on the //LO card.

 VLAROT   - The name of the file that contains subreflector, pointing
            and receiver information.  It goes on the //LO card.

 VLASYNA  - The second LO for the A and C IF's.  On the //LO card, 
            this number is rounded to the nearest MHz but should
            be given here exactly (it is usually near 3900 MHz).
            It must be a value of N*50 +- 10.1 MHz.

 VLASYNB  - The same as VLASYNA but for the B and D IF's.


3 VLA_EXAMPLE
 EXAMPLE  
 -------------------------------------------------------------------
     !   Cover information:
 EXPT = 'VLA Schedule for T2 W32 on March 18, 1988 '  
 EXPCODE = 'T2' 
 VERSION = 1                        ! Version 1 of schedule
 PINAME   = 'Craig Walker'          ! Principal Investigator's name.
 ADDRESS1 = 'NRAO, PO Box O, Socorro, NM, 87801  ! Address.
 PHONE    = '505 835 7247 '         ! Telephone number
 OBSPHONE = '505 835 7247 '         ! Phone number during observations.
 EMAIL    = 'Internet: cwalker@nrao.edu'   ! Electronic mail address.
 FAX      = '505 835 7027 '         ! Phone number for FAX.
 TELEX    = '910-988-1710 '         ! Telex number.
 OBSMODE  = 'VLA 6cm continuum '    ! Observing mode.
 CORREL   = 'Socorro'               ! Correlator to ship tapes to.

    !   Now the schedule
 AUTOTAPE=-1                          ! Turn off VLBI tape changes.
 VLABAND 'CC'                         ! Observing band code.
 VLAMODE '  '   VLATYPE='CONTINUUM'   ! Observing mode and type.
 VLABW '0000'                         ! Bandwidth codes.
 STATION=VLA 
 LST  DAY 53932   START 22:30:00      ! Use LST.  LSTDAY and time.

 SOURCE='3C48'     STOP 22:45:00 /
 SOURCE='3C120'    STOP 23:10:00 /
 SOURCE='0428+205' STOP 23:15:00 /
    GROUP=2 REP=10                  ! Do 10 calibrator/source cycles.
 SOURCE='3C120'     DUR 25:00  /
 SOURCE='0428+205'  DUR  5:00  /
 SOURCE='3C286'     DUR 15:00  /    ! Final calibration.
 -------------------------------------------------------------------





2 VLBA 
            SCHEDULING VLBA OBSERVATIONS WITH SCHED

 SCHED can generate schedules that can be used on VLBA antennas 
 without modification.  This requires the use of SETUP files that
 provide many of the instrumental configuration parameters. 
 Unlike most observatories, the VLBA requires that all information 
 about the observational setup appear in the schedule.  This is far 
 more information than is provided in the other types of output from
 SCHED.  

 The basic scheduling of scans is the same as for Mark II observations
 and the user is refered to the MARK II section for examples.
 The tape control is almost the same as for Mark III and is covered in
 the TAPEFILE section.  AUTOTAPE = 1 or 2 can be used to tell the
 VLBA on-line system to automatically take care of tape track 
 allocation and to reverse the tapes when needed.  This is not yet
 recommended.

 Some items of special interest for VLBA scheduling are:

 SETUP    - This parameter is used to specify the name of a file that
            contains much of the setup information for VLBA sites.
            There will be separate setup files for different 
            frequencies and different recording modes or observation 
            types.  See the special section on SETUP.

 OBSTYPE  - For VLBI observations, this sets the way tape changes are
            handled.  

 FREQ     - This sets the sky frequency (L.O. sum in MHz) for each 
            of 16 channels.  It is useful for spectral line 
            observations for which the frequency can change for each 
            source.  If FIRSTLO is set in the SETUP file, the VLBA 
            baseband converters will be set to the right frequency by
            this parameter.  FREQ must be repeated for every scan for 
            which the default frequency is not wanted.  This is a 
            feature that allows mixed spectral line and continuum 
            observations.  The default is set in the SETUP file so it
            can be altered.

 BW       - This parameter sets the bandwidths (MHz) of up to 16 
            channels.  It is also useful for spectral line 
            observations.  As for FREQ, it must be set for every scan 
            for which the default is not wanted and the default is 
            set in the SETUP file.

 PRESCAN  - Used to delay the start of tape motion from the START time
            specified in the schedule.  Useful for scheduling Mark III
            observations using durations.  The stop time is not changed.

 PTVLBA   - A special mode for VLBA pointing.  For use by the staff.

 TAVLBA   - Another special mode, very similar to PTVLBA, for 
            measuring antenna temperatures.

 AUTOTAPE - AUTOTAPE can be used to request the on-line systems to 
            automatically control tape direction, head position, and
            track assignments.  See the AUTOTAPE description for 
            details.

 CALTIME  - Sets the integration time for total and switched power
            measurements.

 PCAL     - Sets the mode of the pulse cal generators.  This allows
            changes from scan to scan.  A default can be set in
            the SETUP file.

 NCHAN    - Sets the number of channels for which frequecies will
            be displayed in the operator file if DOPCAL is set or
            if frequencies or bandwidths are set.


 EXAMPLE
 This is an example of a SCHED input file and a setup file that 
 creates a schedule for single dish pointing observations on the 
 Pie Town VLBA telescope.  The doppler calibration used to obtain the
 observing frequencies (many of the sources are water masers) were
 obtained with UPTIME.

 EXAMPLE:     VLBA pointing at K band.  Mostly on masers.
              This file is for use on a PC.
 --------------------------------------------------------------------
     !   Cover information:
 EXPT ' Pie Town pointing. '
 EXPCODE 'PTTST'      
 VERSION = 1                        ! Version 1 of schedule
 PINAME   = 'Craig Walker'          ! Principal Investigator's name.
 ADDRESS1 = 'NRAO, PO Box O, Socorro, NM, 87801  ! Address.
 PHONE    = '505 835 7247 '         ! Telephone number
 EMAIL    = 'Internet: cwalker@nrao.edu'   ! Electronic mail address.
 OBSMODE  = 'VLBA Pointing.'        ! Observing mode.
 CORREL   = 'None'                  ! Correlator to ship tapes to.

     !   The schedule.
 SRCFILE='\CODE\SOURCES.PT'       ! Special source catalog.
 STAFILE='\CODE\STATIONS'         ! Stations.  Note PC file names.
 SETUP='PT1CM.SET'                ! VLBA pointing setup file
 OBSTYPE='NONE'                   ! No tapes.
 PTVLBA                           ! Requests pointing sequences.
 YEAR 1989  DAY 75  START 15:15:00
 STAT 'VLBA_PT'
 
 DUR  20:00                       ! 20 minutes on each source.
     !  LO sums and bandwidths specified for each maser source.
     !  They revert to default for continuum source 3C84.
     !  LO sums obtained from UPTIME.
 SOURCE 'W75S'     FREQ=22235.73,22235.73  BW=2,2  /
 SOURCE 'ON1'      FREQ=22235.37,22235.37  BW=2,2  /
 SOURCE 'W75S'     FREQ=22235.73,22235.73  BW=2,2  /
 SOURCE 'ON1'      FREQ=22235.37,22235.37  BW=2,2  /
 SOURCE 'W75S'     FREQ=22235.73,22235.73  BW=2,2  /
 SOURCE 'ON1'      FREQ=22235.37,22235.37  BW=2,2  /
 SOURCE 'W75S'     FREQ=22235.73,22235.73  BW=2,2  /
 SOURCE '3C84'   /
 SOURCE 'L1448'    FREQ=22231.47,22231.47  BW=2,2  /
 SOURCE 'W49N'     FREQ=22233.40,22233.40  BW=8,8  /
 ------------------------------------------------------------------

 SETUP file for above example:
 ------------------------------------------------------------------
 !   Setup file for SCHED for doing pointing at K band with VLBA telescopes.

 nchan   = 2
 ptincr  = 1.0
 fe(2)   = '1.3cm'  fe(4)  = '1.3cm'
 noise   = low-s,low-s,low-s,low-s
 ifdist  = 0,0,0,0
 period  = 1                             ! Same value used for all channels.
 level   = -1                            ! Same value used for all channels.
 synth   = 8.9, 15.9, 12.6
 firstlo = 21500,   21500
 bbsyn   = 720.00, 720.00
 bbfilter= 16.0, 16.0
 sideband= U,  U
 ifchan  = B,  D
 bbc     = 1,  2
 format  = MARKII
 azcolim = 0.0  elcolim = 0.0
 STATION='VLBA_PT' /
 STATION='VLBA_KP' /

 -------------------------------------------------------------------
 EXAMPLE:   VLBA interferometer observation.
 -------------------------------------------------------------------
 !  This example starts with wide band continuum observations of
 !  OQ208 and 3C345, then does spectral line observations of W3OH
 !  allowing SCHED to do the doppler calculations.  Some sources
 !  are in the inline catalog and some are in an external catalog.

 srccat /
 source='OQ208' ra=14:07:00.394655 dec= 28:27:14.68981 epoch='J2000' 
         calcode=' ' /
 source='3C345' ra=16:42:58.810180 dec= 39:48:36.99543 epoch='J2000' 
         calcode=' ' /
 endcat /

 lineinit /
 lineset='OHALL'  restfreq=1612.231, 1612.231, 1665.402, 1665.402, 
                           1667.359, 1667.359, 1720.530, 1720.530   /
 lineset='H2O'    restfreq=22235.08,  22235.08   /
 endlines /


 !   Cover information:
  VERSION  = 1                        
  PINAME   = 'John Benson'            
  ADDRESS1 = 'National Radio Astronomy Observatory'  
  ADDRESS2 = 'P. O. Box O'         
  ADDRESS3 = 'Socorro, New Mexico, 87801'
  ADDRESS4 = ' U.S.A. '
  PHONE    = '505 835 7399 '       
  OBSPHONE = '505 835 7399 '       
  EMAIL    = 'Internet: jbenson@nrao.edu' 
  FAX      = '505 835 7027 '       
  TELEX    = '910-988-1710 '       
  OBSMODE  = 'correlator test'
  CORREL   = 'Socorro'              

 srcfile  = '/u/cwalker/sched/sources.pt'
 stafile  = '/u/cwalker/sched/stations.dat'
 obstype  = 'VLBA'
 expt     = 'Correlator test'
 expcode  = tnov16a
 stat     = vlba_pt, vlba_la, vlba_kp, vlba_nl, vlba_fd,
            vlba_ov, vlba_br, vlba_hn, vlba_sc
 setup    = '/u/cwalker/sched/v4cmn4p2.set'  !  See SETUP section.
 autotape = 2    

 !  12 scans of 13 min recording plus 2 min idle on each source.
 start = 16:0:00     year = 1992   month = 11  day = 16  
 dur     = 15:00     prescan = 2:00  
 source  = 'OQ208'  rep 12 /
 source  = '3C345'  rep 12 /

 !  A few spectral line observations observing all 4 OH lines in
 !  both polarizations.
 group 2 rep 8   !  Repeat the next 2 scans 8 times.
 prescan  = 1:00
 nchan    = 8
 bw       = 0.25  
 linename = 'ohall'
 dopcal
 setup    = '/u/cwalker/sched/vOH_1pass.set'
 source   = 'W3OHOH'  dur = 11:00  /
 source   = 'W3OHOFF' dopsrc='W3OHOH'   dur 4:0  /
 ------------------------------------------------------------------



2 PARAMETERS
                   SCHED INPUT PARAMETERS

 A large number of input parameters are available and are described 
 below.   However, most of the parameters default to reasonable 
 values for Mark II VLBI observations so most users will only need
 those shown in the Examples section.  Letters in lower case need not
 be given.  The parameters are in alphabetical order. First, a list of
 all parameters with one line per parameter is shown.  Then more
 detailed descriptions are given for each one.  In the second list,
 each parameter description is followed by a short table giving the 
 following information:

              Argument:  The data type expected.
              Options:   A list of specific options if appropriate.
              Default:   The value assigned by SCHED if the parameter
                         not used.
              Usage:     Can the parameter be specified for each scan
                         or only once.  If for each scan, what happens
                         if it is specified for one scan and not the
                         next.
              Example:   An example specification of the parameter.

 If a parameter for which SCHED only wants one value is specified for
 more than one scan, only the last value will be used.  For parameters
 that can be specified for each scan, nearly all default to the value
 for the previous scan if not specified.  The only exceptions are
 START, STOP, REP, GROUP, TAPE, REWIND, FASTFOR, REVERSE, and COMMENT.

3 SUMMARY_LIST

 ADDRESS1 - Principal Investigator's address for cover information.
 ADDRESS2 - Up to 4 lines allowed.
 ADDRESS3 - 
 ADDRESS4 -
 ALLVLBA  - Provide VLBA control files for all antennas.
 AUTOTAPE - Request automatic tape changes.  Give tape time.
 BW       - Up to 16 channel bandwidths (MHz) for VLBA.
 CALTIME  - The integration time for calibration data.
 COMMENT  - Comment to appear in schedule.
 CORREL   - Correlator to which to ship tapes and log files.
 DAY      - Day number.  1 is first day of MONTH.  Can be day of year.
 DOPCAL   - Set frequency based on LSR velocity for spectral line.
 DOPSRC   - Set frequency based on LSR velocity of this source.
 DOSTA    - Restrict processing to specific stations.
 DUMMY    - Unused slots in input arrays.
 DURation - Duration of scan.
 EMAIL    - Principal Investigator's electronic mail address(s).
 EXIT     - Finish interactive input.
 EXPT     - Short description of experiment.
 EXPCODE  - Experiment code (eg. W42).
 FASTFOR  - Fast foreward the wide band tape.
 FAX      - Principal Investigator's FAX number.
 FREQ     - Up to 16 channel sky frequencies (MHz) for VLBA.
 GROUP    - Number of scans to repeat.
 IATUTC   - IAT - UTC in sec for planetary motion cards at VLA.
 LINEINIT - Following inputs will be rest frequencies.
 LINENAME - The name of the group of rest frequencies to use.
 LINEPG   - Number of lines per page in observer schedules.
 LST      - Schedule is in LST for specified station.
 MONTH    - Month number.
 NCHAN    - The number of channels.
 NOTE1    - First of 4 lines of any comments for cover info.
 NOTE2    - Second ...
 NOTE3    - Third ...
 NOTE4    - Fourth ...
 NOTSYS   - Do not measure system temperature.
 OBSMODE  - Frequency band, recording system etc.
 OBSPHONE - Principal Investigator's telephone number during obs.
 OBSTYPE  - Type of observations.  Mostly for tape control.
 OPDUR    - Duration for experimental optimizing mode.
 OPELPRIO - Two elevation ranges in which OPSKIP not active.
 OPMINEL  - Minimum elevation for experimental optimizing mode.
 OPMINANT - Minimum number of antennas in a scan in optimizing mode.
 OPNOSLEW - Don't add time for slew to scans in optimizing mode.
 OPNOSUB  - Don't subarray in optimizing mode.
 OPSKIP   - Skip source opskip times unless in priority el range.
 OPTAPEON - Leave tape running in optimizing mode (schedule with stop).
 OPTI     - Invoke experimental optimizing mode.
 PCAL     - The mode for the pulse cal generators.
 PEAK     - Peak up on source - NRAO cards only.
 PHONE    - PI's phone number.
 PINAME   - Name of Principal Investigator
 PRESCAN  - Time to wait before starting tape.
 PTDUR    - Duration of each step in a VLBA pointing sequence.
 PTSLEW   - The time to allow for slewing to source in pointing seq.
 PTVLBA   - Do VLBA pointing sequence.
 QUAL     - Qualifier for source.
 RECord   - Record on tape this scan. Non-zero to not record.
 REPeat   - Number of times to repeat scan(s).
 REWIND   - Rewind the wide band tape.
 REVERSE  - Reverse direction of recording of wide band tape.
 SETUP    - Name of file containing VLBA setup information.
 SOURCE   - Source name.
 SRCCAT   - Flag for start of in-line source catalog.
 SRCFILE  - Name of external source file.
 STACAT   - Flag for start of in-line station catalog.
 STAFILE  - Name of external station file.
 START    - Start time of scan.
 STATions - Station list for scan.  Up to 30.
 STOP     - Stop time of scan.
 TANT1    - Turn on Ta measurement at the TANTSTA1 stations.
 TANT2    - Turn on Ta measurement at the TANTSTA2 stations.
 TANTSTA1 - List 1 of stations for Ta measurement requests.
 TANTSTA2 - List 2 of stations for Ta measurement requests.
 TAPE     - Force a tape change.  Reset AUTOTAPE reference time.
 TAPEFILE - File name for tape initialization information.
 TAPEINI  - Flag that the next group of input is tape initialization.
 TAVLBA   - Request Tant measureing mode.
 TELEX    - Principal Investigator's TELEX number.
 TPREF    - Reference time for Mark II tape changes.
 TPRATE   - Wide band recording rate relative to SETUP file values.
 VERSION  - Schedule version number.  Helps identify latest.
 VLABAND  - Band code for VLA.
 VLABW    - Bandwidth codes for VLA.
 VLAFILE  - File name of VLA obs file on Dec 10.
 VLAMODE  - VLA observing mode.
 VLANTSYS - Turn off VLA system temperature corrections.
 VLAPSRC  - Phasing source for VLA observations.
 VLATYPE  - Type of VLA observations.
 VLAUSERN - VLA user number.
 YEAR     - Year of first scan stop time.


 DETAILED DESCRIPTIONS

3 ADDRESS1
 ADDRESS1 - (Also ADDRESS2, ADDRESS3, and ADDRESS4) Used to give
            the Principal Investigator's address for the cover
            information.
          
              Argument:  A character string of up to 64 characters
                         for each of the 4 parameters.
              Options:   Any.
              Default:   Blank
              Usage:     Only one value used (last).
              Example:   ADDRESS1 '1003 Lopezville Rd'
                         ADDRESS2 'Socorro, NM 87801'
                         ADDRESS3 ' USA'

3 ALLVLBA
 ALLVLBA  - A switch to cause SCHED to write a VLBA type control
            file for each station in the schedule regardless of
            type.  These files will be called nnnn_dummy_vlba.ss 
            where nnnn is the project code and ss is the station code.
            This may be used to help set up job scripts for the
            VLBA correlator for stations for which adequate logs
            are not available.  When this switch is set, the sch,
            crd and .sum outputs will not be written.

            Most users should ignore this parameter.  It is likely
            to be used only by VLBA operations.

              Argument:  None
              Options:   Set or not.
              Default:   Not set.
              Usage:     Only one value used (last).
              Example:   ALLVLBA

3 AUTOTAPE
 AUTOTAPE - Mark III or VLBA format observations:

            AUTOTAPE is used to request the VLBA systems to perform
            automatic tape control.  AUTOTAPE=1 or 2 causes the
            on-line system to determine the tape direction, head
            position and track allocation automatically.  The
            schedules will only include instructions on whether
            to run, stop, or rewind.  AUTOTAPE=2 also activates
            automatic reversal of the tapes when the low tape
            mark is reached, even in the middle of scans (with 
            AUTOTAPE=1, the tape will stop at the low tape point
            and wait for the next scan).  The default action (any 
            other value of AUTOTAPE including no value) is to have 
            SCHED determine the tape motion and related information.


            Mark II:

            Requests automatic tape changes.  Specifying AUTOTAPE
            without a value is the same as the default.  Specify
            a negative number to turn off tape changes and a positive
            number (a time) to change the default tape length.

            The default length is 4 hours.  Tape changes are 
            requested at 4 hour intervals beginning with the 
            earliest start time of the whole schedule.  If this would
            require a change in the middle of a scan, the change is
            moved to the start of the scan and all following changes
            are moved up.  This is station dependent and so can cause
            non-simultaneous tape changes.  The tape is assumed to
            be kept moving between scans.

            The reference time for AUTOTAPE can be altered with TPREF
            and with the TPTIME input in the TAPEFILE.  See the 
            section on the TAPEFILE for information on TPTIME.  TPREF
            is a time of the form hh:mm:ss.  The automatic tape 
            changes are requested at integral numbers of 4 hour 
            intervals before or after TPREF.  Note that a date is not
            needed because 4 hours divides 24 hours evenly.  Even if
            someone were to use the 2 or 6 hour VCR modes, those
            tape lengths still divide 24 hours evenly.

            If TAPE is specified for a scan while AUTOTAPE is set, a
            tape change will be requested and following tape changes
            will occur at 4 hour intervals from the time of the forced
            change.  One specification of TAPE is usually all that is
            needed to get the tape changing sequence right if the 
            earliest start time is a poor reference time.

            For most experiments, the default action of AUTOTAPE
            should be good.  The major exceptions are programs that
            start on the half hour and tape changes are desired
            on the hour, and programs where it makes sense to 
            have a short tape at the start on some stations to 
            avoid short tape on other stations for which the
            source rises later.  Both of these cases can be handled
            nicely with TPREF.

            The times of tape changes are marked in the summary file.
            These should be checked for reasonableness. 

            Note that, if AUTOTAPE is turned off, no initial tape 
            mount at the start of the experiment will be requested.
            This causes problems at some stations.  It you insist
            on specifying all tape changes with TAPE, be sure to
            put one on the first scan for each station.  This mode
            of setting tape changes is NOT recommended.

              Argument:  None or a number.
              Options:   Mark III or VLBA: 
                            Not 1 or 2 - SCHED sets tape direction, 
                                head position, and track assignments.
                            1 - VLBA on-line systems above parameters.
                            2 - activate mid-scan automatic tape 
                                reversals.
                         Mark II:
                            No argument or 0 - do automatic tape 
                                changes at 4 hour intervals.
                            -1 - Turn off automatic tape changes.
                            hh:mm:ss - A time for modified tape length.
              Default:   Mark III or VLBA:  SCHED controls tape.
                         Mark II: AUTOTAPE specified.  Time = 4:00:00
              Usage:     Only one value used (last).
              Example:   AUTOTAPE = -1

3 BW
 BW       - The bandwidth of the observations.  One value can be given
            for each of up to 16 channels.  Typically, they should 
            all be the same.  These are used mainly for VLBA files,
            although the value will be written to VC commands in SNAP
            files.  If not specified for a scan, the most recent
            value will be used.  To get back to the default, specify
            BW=0.  If doppler calculations are requested, BW must be
            given.  In such cases, BW should be negative for a lower
            sideband. 

              Argument:  Up to 16 real numbers - bandwidth in MHz.
              Options:   0.0625, 0.125, 0.250, 0.5, 1, 2, 4, 8, 16
              Default:   Uses bandwidth from SETUP file.
              Usage:     Uses the most recent value specified.
              Example:   BW = 2,2,2,2

3 CALTIME
 CALTIME  - The integration time in seconds for calibration data from
            the VLBA monitor system.  This includes the total and
            switched powers used for system temperatures and may 
            include the pulse cals.

              Argument:  A time in seconds for each scan.
              Options:   Any.
              Default:   120
              Usage:     Uses the most recent value given.
              Example:   CALTIME=60

3 COMMENT
 COMMENT  - Up to 64 characters of comment to be written on operator
            and telescope files just before the scan.

              Argument:  Text up to 64 characters.
              Options:   Any
              Default:   Blank
              Usage:     Reverts to no comment if not specified for
                         each scan.
              Example:   COMMENT = 'Measure outside temperature'

3 CORREL
 CORREL   - The correlator to which to send the VLBI tapes and logs.
            This is for the cover information.

            SCHED will abort if this parameter is not given.

              Argument:  Text up to 62 characters.
              Options:   Any, but usually would be 'Caltech', 
                         'Socorro', 'Haystack', 'Bonn', 'Washington',
                         or 'Bologna'
              Default:   Blank which causes abort.
              Usage:     Only one value used (last).
              Example:   CORREL = 'Caltech'

3 DAY
 DAY      - Day number of stop time of scan.  Day 1 is the first day
            of the month specified for the MONTH parameter, which
            defaults to 1 so that DAY is the day of year.  If LST
            was specified, DAY must be the local sidereal day number
            for the reference station.  These numbers are printed on
            the right side of VLA schedules and are near 54300 in 
            1988.

              Argument:  Integer
              Options:   Any.  
              Default:   Required for first scan - no default.
              Usage:     Defaults to previous scan.
                         Only need for first scan if using durations
                         even if experiment crosses day boundary.
              Example:   DAY = 135

3 DOPCAL
 DOPCAL   - Do Doppler calculations for this scan.  See the section
            of this help file on Doppler calculations for details.

              Argument:  None.
              Options:   0 or nothing to get Doppler calculations.
                         non-zero to turn them off.
              Default:   Don't do Doppler calculations
              Usage:     Reverts to previous scan.
              Example:   DOPCAL

3 DOPSRC
 DOPSRC   - The source name for which the Doppler calculation should
            be done.  This is allowed to be different from the source
            being observed to allow for observing continuum 
            calibrators at the same frequency as the line source.
            If it is blank, the source being observed will be used.
            If it is not specified, the previous value will be used so
            it must be set to blank after use in earlier scans if
            it is desired to return to the original default.

              Argument:  A source name.
              Options:   Any source in the source catalogs.
              Default:   Blank - use SOURCE.  
              Usage:     Reverts to previous scan.  Can set to ' '
                         to return to default behavior.
              Example:   DOPSRC='W3OH'

3 DOSTA
 DOSTA    - Process only those stations whose names match the value
            given for DOSTA to as many characters as given for DOSTA.
            This is intended primarily for telescope friends who wish
            to rerun SCHED using the input file provided by the 
            observer and who do not want output for all stations.
            Requireing a match only on the specified characters allows
            DOSTA = 'VL' to be specified to obtain all VLBA and VLA 
            files.
            
              Argument:  Text of up to 8 characters.
              Options:   Any station name or portion thereof.
              Default:   None
              Usage:     Only one value used for whole experiment.
              Example:   DOSTA = 'VLBA'   (gets all VLBA files).

3 DUMMY
 DUMMY    - This may appear when SHOW or HELP is typed to KEYIN.  
            These are unused space in the input arrays.

3 DURation
 DURation - The length of the current scan.  Usually this is used 
            instead of STOP.  It is assumed to be a UT time interval
            unless LST was specified in which case it was assumed
            to be a LST time interval.

              Argument:  A time (hh:mm:ss, mm:ss, or ss)
              Options:   Any.
              Default:   Not used.
              Usage:     Defaults to previous scan.
              Example:   DUR = 30:00

3 EMAIL
 EMAIL    - The Principal Investigator's electronic mail address
            for the cover information.  Note that with 64 
            characters, more than one addrss can be given.  The
            Internet address is probably the most useful.

              Argument:  Text of up to 64 characters.
              Options:   Any.  
              Default:   Blank.
              Usage:     Only one value used (last).
              Example:   EMAIL='internet: cwalker@nrao.edu'


3 EXIT
 EXIT     - This is used to terminate interactive input.  It has
            the same effect as reaching the end of file when
            input to SCHED if from a file.  It should be issued
            after the "/" after the last scan and needs a "/" of
            its own.  Any inputs issued with it will be ignored.

              Argument:  None which implies 0.D0.
              Options:   None.
              Default:   Not issued (non-zero).
              Usage:     Will terminate program so only can be
                         used once.
              Example:   EXIT /

3 EXPT
 EXPT     - A description of the experiment for the listings.

              Argument:  Text up to 72 characters
              Options:   Any
              Default:   None
              Usage:     Only one value used (last given).
              Example:   EXPT = '3C345   March 11, 1988  Mark II'

3 EXPCODE
 EXPCODE  - The Experiment code from the Network or from NRAO.  This
            is used as the first few characters of many file names.
            Only 6 characters are used in the VLA observe files.

              Argument:  Text of 8 characters.  Best to use 5 or less.
              Options:   Any
              Default:   'NUG'
              Usage:     Only one value used (last given).
              Example:   EXPCODE = 'H42G'

3 FASTFOR
 FASTFOR  - Requests that the wide band tape (Mark III or VLBA) be run
            at the maximum foreward speed during the prescan.  Usually
            the intent is to get to the end of the tape prior to the
            start of the scan.

            If no argument is given, all stations will be issued with a
            fast forward instruction.  If a list of stations is given,
            only those stations in the list will be fast forwarded.

              Argument:  None or a list of up to 30 stations
              Options:   None or a list of any stations in the scan.
                         Not case sensitive.
              Default:   No fast foreward unless there is insufficient
                         room on the tape to complete the scan while
                         recording in the foreward direction.
              Usage:     Reverts to no fast foreward on next scan.
              Example:   FASTFOR or FASTFOR=VLBA_BR

3 FAX
 FAX      - The Principal Investigator's FAX number.

              Argument:  Text of up to 64 characters.
              Options:   Any
              Default:   Blank
              Usage:     Only one value used (last).
              Example:   FAX = ' 505 835 7027 '

3 FREQ
 FREQ     - The observing frequency (L.O. sum) for up to 16 channels 
            in MHz.  When not specified, the last value specified is
            used.  If 0 is specified, or FREQ is not given for any
            scan, the default from the SETUP file is used.  Whenever 
            the frequency changes, a comment appears in the operator 
            schedule.

            When the frequencies change, the appropriate changes are
            made to the BBC frequencies for the VLBA and VLA.
            For SNAP files, dummy video converter commands are written 
            without the correct video converter number and with the 
            full LO sum.  The site personel must edit in the correct 
            video converter numbers and subtract the first LO.

            Both the VLBA and Mark III systems can only set 
            frequencies to the nearest 10 kHz and the Mark III video 
            converters are often used for Mark II observations so do 
            not try to set a frequency that is not an even 10 kHz.

              Argument:  Up to 16 real numbers in MHz.
              Options:   Any 
              Default:   Established for VLBA and VLA by the SETUP 
                         file.  None for other stations.
              Usage:     Uses the last value specified.
              Example:   FREQ = 22236.78, 22238.78

3 GROUP
 GROUP    - This parameter only makes sense when paired with REPEAT.
            It provides a looping capability where the next n scans,
            where n is the value specified for GROUP, are repeated
            m time, where m is the value specifed for REPEAT.

              Argument:  Integer
              Options:   Any
              Default:   Not used.
              Usage:     Reverts to not being used if not specified
                         for a scan.
              Example:   GROUP = 2 

3 IATUTC
 IATUTC   - The value of IAT-UTC.  This is about 25 seconds now.  This
            is only used if //PM cards are needed for the VLA since
            the 0 offset epoch must be specified in IAT.  SCHED does
            not use IAT for anything else.
 
              Argument:  An integer number of seconds.
              Options:   Any integer - should be correct value.
              Default:   0 (eg not correct)
              Usage:     Only one value accepted - the last.
              Example:   IATUTC = 25

3 LINEINIT
 LINEINIT - Indicates that the next few groups are rest frequency
            specifications for spectral line observations.  See the
            Doppler section of this help file for details.  LINEINIT
            should be in a group of its own followed by a /.

              Argument:  None.
              Options:   None.
              Default:   Not set.
              Usage:     Should only give once in schedule.
              Example:   LINEINIT /.

3 LINENAME
 LINENAME - The name of the rest frequency group to use for this 
            scan.  The rest frequencies and names are specified in the
            LINEINIT input.  See the Doppler calculation section of
            the help file for details.

              Argument:  A name of up to 8 characters.
              Options:   Must be one of the names in the LINEINIT 
                         input.
              Default:   Must use if DOPCAL set.
              Usage:     Reverts to previous scan.
              Example:   LINENAME='OH1665'

3 LINEPG
 LINEPG   - The number of lines on a page for the operator schedules.

              Argument:  Integer
              Options:   Any
              Default:   55
              Usage:     Only one value used.
              Example:   LINEPG = 60

3 LST
 LST      - Specification of LST causes the program to assume that all
            input times are in local sidereal time.  If no argument is
            given, the 'local' refers to the VLA.  Otherwise, a 
            station name can be given to allow scheduling in lst for
            some other station.  When LST is specified, DAY is assumed
            to be the local sidereal day number as found on VLA 
            schedules.  YEAR and MONTH are ignored.  This parameter is
            mainly intended for use for VLA scheduling.

              Argument:  Text of up to 8 characters - Station name.
              Options:   Any
              Default:   Not used if not given.
                         'VLA' if given without argument.
              Usage:     Only one value used.
              Example:   LST = 'VLBA_PT'

3 MONTH
 MONTH    - The month of the stop time of the scan.  The day of year
            of the first day of the MONTH, minus 1, is added to the
            DAY (another parameter) to get the day of year of the
            observations.

              Argument:  Integer
              Options:   Any.  
              Default:   1
              Usage:     Defaults to previous scan.
              Example:   MONTH = 10      (eg October)

3 NCHAN
 NCHAN    - The number of channels.  This sets the number of 
            frequencies that will be printed in the operator file
            and in SNAP schedules when the frequency is set from
            the main input or when Doppler calculations are 
            requested.  The default is 1 so Mark II users can 
            ignore it.  For the VLBA, a warning (but not an abort)
            will be issued if this does not agree with the NCHAN
            in the setup file.  The VLBA control files will be
            based entirely on the NCHAN in the setup file.

              Argument:  An integer for each scan.
              Options:   Any, but more than 8 (if Doppler 
                         calculations are requested) or 16 does
                         not make sense.
              Default:   1
              Usage:     Defaults to previous scan.
              Example:   NCHAN=4

3 NOTE1
 NOTE1    - (Also NOTE2, NOTE3, NOTE4).  These are 64 character text
            strings that can be used to pass any information in
            the cover section.  Instructions regarding pointing,
            Tsys measurement, where to send logs etc are typical.

              Argument:  Each of the 4 parameters takes a character
                         string of up to 64 characters.
              Options:   Any text.
              Default:   Blank.
              Usage:     Uses only one value (last).
              Example:   NOTE1 = ' Say hello to Max! '
                         NOTE2 = ' Measure Tsys for every scan. '

3 NOTSYS
 NOTSYS   - By default, SCHED requests that system temperatures be
            made every scan in the NRAO, and SNAP control 
            card types.  The VLA and VLBA measure Tsys continuously
            so no such request is needed.  For the NRAO cards, the
            system temperatures are measured at the start of every
            scan and after the end of the scan if there is a source
            change.  For SNAP, there is no concept of "go to source,
            then do something", so Tsys requests are only made at
            the end of each scan.  NOTSYS turns off the Tsys 
            requests.  The Tsys measurements take a bit of time so
            it may be desirable to turn them off when switching 
            rapidly between sources.  However calibration may be
            compromised.

              Argument:  None
              Options:   Use it or not.
              Default:   Ask for system temperature measurements
              Usage:     Defaults to previous scan.
              Example:   NOTSYS

3 OBSMODE
 OBSMODE  - Basic information on the technical nature of the 
            observation.  The frequency band and the recording
            system to be used should be noted.  Any non-standard
            setup should be noted here (use NOTE1... to extend).

              Argument:  Text of up to 58 characters.
              Options:   Any - include wavelength and record 
                         system.
              Default:   Blank.
              Usage:     Only one value used (last).
              Example:   OBSMODE='6cm  Mark II  Standard setup'

3 OBSPHONE
 OBSPHONE - Phone number for Principal Investigator during the
            observations.

              Argument:  Text of up to 49 characters.
              Options:   Any - usually a telephone number.
              Default:   Blank.
              Usage:     Only one value used (last).
              Example:   OBSPHONE = ' 505 835 7392 '

3 OBSTYPE
 OBSTYPE  - Tells the program what type of recording is to be used
            and if any special modes are to be used.

            'MKII' is the default and causes tape change requests
            to occur at time intervals specified by AUTOTAPE (default
            is 4 hours).  The tape is assumed to be left running.

            'MKIII' and 'VLBA' cause SCHED to assume that the wide
            band recorders are in use at the VLA and VLBA stations.
            (SCHED does not pretend to support Mark III observations
            elsewhere).  The necessary information on tape speed,
            passes/index position, etc is in the SETUP file and
            the TAPEFILE.  If there is a gap between the stop time
            of one scan and the start time of the next, or if PRESCAN
            is specified, SCHED will insert a dummy scan with no
            tape motion (or possibly a rewind of fastforeward) during
            the gap.  If OBSTYP = VLBA, FORMAT=MARKIII, in addition
            to the VLBA formats will be accepted from the setup
            file.

            Any other value causes tape handling to be ignored 
            although if the first 5 characters are MKIII, the
            result will be the same as if MKIII was specified.

            MARKII and MARKIII can be used instead of MKII and
            MKIII.
            
              Argument:  Text of up to 8 characters.
              Options:   'MKII', 'MKIII', 'VLBA', other. 
              Default:   'MKII'
              Usage:     Only one value used per schedule.
              Example:   OBSTYPE = 'MKIII'

3 OPDUR
 OPDUR    - Total duration of experiment for optimizing mode.
            This is a highly experimental mode in SCHED and is not
            recommended for use by anybody but the author.

3 OPELPRIO
 OPELPRIO - Two elevation ranges (4 values) in which every instance
            of a scan will be used in the optimizing mode.

3 OPMINEL
 OPMINEL  - Minimum elevation for optimizing mode (deg).
            This is a highly experimental mode in SCHED and is not
            recommended for use by anybody but the author.

3 OPMINANT
 OPMINANT - Sets minimum number of antennas for which the source 
            must be up in the experimental optimizing mode. Integer.

3 OPNOSLEW
 OPNOSLEW - Don't adjust scan times to account for slew times in
            experimental optimizing mode.  Logical.

3 OPNOSUB
 OPNOSUB  - Don't allow subarraying in the optimizing mode.  Schedule
            all antennas in any scan in which more then OPMINANT are
            up.

3 OPSKIP
 OPSKIP   - In optimizing mode, skip each source OPSKIP times after
            it is last seen, unless it is in the OPELPRIO elev 
            range.

3 OPTAPEON
 OPTAPEON - Write new schedule in a form that will keep the tape
            running unless the gap is longer than the specified value. 
            Optimizing mode.  Real in seconds or hh:mm:ss.

3 OPTI
 OPTI     - Invoke optimizing mode.
            Note that PTSLEW=999 will cause the specified scan
            start time to be used.
            This is a highly experimental mode in SCHED and is not
            recommended for use by anybody but the author.

3 PCAL
 PCAL     - Set the mode of the pulse cal generators on the VLBA.
            The generators can be off or can generate tones every
            1 or every 5 MHz.  The input here can be used to change
            the mode from scan to scan.  A default can be 
            established in the setup file.

              Argument:  The pulse cal mode.
              Options:   ' ', 'off', '1MHz', or '5MHz'.  ' ' causes
                         the setup file value to be used.
              Default:   Use the setup file value.  If none there,
                         use '1MHz'
              Usage:     Defaults to previous scan.
              Example:   PCAL = 'off'

3 PEAK
 PEAK     - If specified, commands will be issued to cause some 
            antennas to peak up their pointing. 

            For Green Bank (NRAO type control cards), cards will
            be issued that request that the antenna peak up on
            source.  This will happen for any argument greater
            than or equal to zero.  It can be turned off by
            setting a negative argument.

            For the VLA, if PEAK is greater than 0, the scan will
            be done in 'IA' mode which will cause the on-line 
            system to do a pointing pattern and put the results 
            in memory.  If PEAK = 0, a 'T' will be put in 
            a column in the observe deck that causes the results
            of the reference pointing to be used.  PEAK less than
            0 turns off reference pointing.  WARNING - a separate
            pointing scan should be provided since the 'IA' mode
            must be used rather than one of the VLBI modes 
            such as VA, VX, or VS.

            For the VLBA, if PEAK is greater than 0, a peakup
            will be done using the channel number specified by
            the PEAK argument.  The peakup begins when the antenna
            reaches the source but the program will wait for a
            maximum of 30 or 40 seconds.  If it will take longer
            than that to reach source, a dummy scan should be
            inserted.  The peakup routine reads the total power
            after being on each position for 2 seconds and then
            goes on to the next position.  The pattern contains
            10 points.  Therefore the peakup will take 20
            seconds plus slew times which may be as little as
            30 seconds - call it 45 seconds to be conservative -
            at high frequencies.  It could take significantly
            longer at low frequencies, but there is no good reason
            to use reference pointing there.  After the peakup 
            is done, the results will be used until either 
            another peakup is done or the project code changes.  
            Hopefully, we'll have some way to turn it off 
            eventually.  Note that, if PRESCAN is being used,
            the peakup will happen during the prescan which is
            likely to be the desired behavior.

              Argument:  A digit that for the VLBA is a channel
                         number.
              Options:   See discussion above.
              Default:   Don't peak up.
              Usage:     Defaults to previous scan.
              Example:   PEAK=3

3 PHONE
 PHONE    - The Principal Investigator's telephone number before
            and after the experiment.  See OBSPHONE for the number
            during the observations.

              Argument:  Text of up to 64 characters.
              Options:   Any.
              Default:   Blank.
              Usage:     Only one value used (last).
              Example:   PHONE = ' 505 835 7392 '

3 PINAME
 PINAME   - The name of the Principal Investigator.  Actually, 
            the person who should be used here should be the one
            who is organizing the experiment, not necessarily the
            one leading the proposal.  With 64 characters, more
            than one could be given.

            SCHED will abort if this is not given.

              Argument:  Text of up to 64 characters.
              Options:   Any.
              Default:   Blank which causes an abort.
              Usage:     Only one value used (last).
              Example:   PINAME = ' Joan Wrobel '

3 PRESCAN
 PRESCAN  - This parameter specifies a time by which to delay the 
            start of VLBA tape motion from what would otherwise
            have been the start of the scan.  A dummy scan is 
            inserted before the main scan in the VLBA files to 
            prevent tape motion for the desired time.  This is
            useful for scheduling Mark III observations using
            durations and looping.  The stop time is not changed.
            Tape motion occurs for a time shorter than the scan
            duration by the amount of time specified in PRESCAN.
           
              Argument:  A time.
              Options:   Any time.
              Default:   Not used
              Usage:     Defaults to previous scan.
              Example:   PRESCAN = 7:00    (7 minutes)

3 PTDUR
 PTDUR    - The duration of each scan during a pointing loop for the
            VLBA.  This parameter should not be of concern to anyone
            but the VLBA staff.

              Argument:  A time in seconds.
              Options:   Any.
              Default:   20 seconds.
              Usage:     Only one value accepted - the last.
              Example:   PTDUR=15

3 PTSLEW
 PTSLEW   - The time allowed in a pointing sequence to get to source
            before beginning the raster.  This parameter should
            only be of interest to the VLBA staff.  In actual use,
            if a scan start time is specified, the interval between
            that start time and the previous stop time is added to
            the ptslew to set the duration of the slewing scan.

              Argument:  A time in seconds.
              Options:   Any
              Default:   160  (A good choice)
              Usage:     Defaults to previous scan.
              Example:   PTSLEW=60

3 PTVLBA
 PTVLBA   - Write a VLBA pointing sequence in the VLBA control file
            for this scan.  This should only be of interest to staff.
            Note that this is not a peak in the sense that the
            antenna does not go to the derived position after the
            pattern.  It is used for measuring pointing offets and
            pointing equations.  Note that parameters PTSLEW and
            PTDUR set the time allowed to get to source and the
            time spent at each position in the pointing pattern.

              Argument:  None.
              Options:   0 or blank to set.  non-zero to go back to
                         non-pointing modes.
              Default:   Not used.
              Usage:     Reverts to previous scan if not specified.
              Example:   PTVLBA

3 QUAL
 QUAL     - A qualifier that will be written along with the source
            name to the VLA and VLBA schedules.  It is useful for
            distinguishing scans of different types on the same 
            source.

              Argument:  An integer of up to 3 digits.
              Options:   Any integer of up to 3 digits including sign.
              Default:   0 (1 for first scan of frequency switching
                         if something else not specified.  Depends on
                         scan for pointing).
              Usage:     Reverts to previous scan if not specified.
              Example:   QUAL = 34

3 RECord
 RECord   - Record on Mark III or VLBA tapes for this scan.  Recording
            can be turned off by setting to a non-zero value.  This 
            might be used for VLA phasing, etc.

              Argument:  -1 (or any value other than 0) to turn off
                         recording.  No value, or 0 to turn back on.
              Options:   None.
              Default:   Make the recording.
              Usage:     Reverts to previous scan.              
              Example:   REC = -1

3 REPeat
 REPeat   - This parameter causes the scan to be repeated n times 
            where n is the value specified.  If GROUP is specified
            with a value of m, it causes this scan plus the next
            m-1 scans in the SCHED input to be repeated n times.
            Durations should be used if REPEAT is used.  REPEAT and
            GROUP provide a simple looping capability.

              Argument:  An integer.
              Options:   Any.
              Default:   1
              Usage:     Reset to 1 on next scan.
              Example:   REP = 5

3 REVERSE
 REVERSE  - Requests that the direction of motion of the wide band
            tape (Mark III or VLBA) be reversed at the start of the
            scan.  No rewinds or fast forwards will be done if this
            is requested.  Note that, REVERSE is not needed normally.
            SCHED checks each scan to see if it will fit in the
            current direction.  If not, the tape will be spaced to
            the end between scans and recording will begin in the
            opposite direction.  Specifying REVERSE in such 
            situations will have the possibly undesirable effect
            of not spacing the tape to the end.

            If REVERSE is specified with no argument, the tape will
            be reversed at all stations.  If one or more station
            names are given, the tapes will be reversed at only those
            stations.

              Argument:  None or up to 30 station names
              Options:   No argument or the name of any station in
                         the scan.  Not case sensitive.
              Default:   No reverse.
              Usage:     Reverts to no reverse on next scan.
              Example:   REVERSE  or REVERSE = VLBA_KP, VLBA_LA

3 REWIND
 REWIND   - Requests that the wide band tape (Mark III or VLBA) be
            rewound before the scan starts (during the prescan).

            If REWIND is specified with no argument, the tape will
            be rewound at all stations.  If one or more station
            names are given, the tapes will be rewound at only those
            stations.

              Argument:  None or up to 30 station names
              Options:   No argument or the names of any stations in
                         the scan.
              Default:   No rewind, unless there is insufficient 
                         room left during a backward pass to fit
                         the next scan or a tape change is requested.
              Usage:     Reset to no rewind for next scan.
              Example:   REWIND  or REWIND='vlba_fd'

3 SETUP
 SETUP    - A file name where setup information can be found.  For
            now, this is only used for VLBA and VLA style output.  
            See the section on SETUP files for details of what should 
            be in the files.  Note that the program will stop if a 
            station that wants VLBA files is being scheduled but is 
            not included in the SETUP file, if one is specified.

            A new SETUP file can be specified for each scan for mode
            switching.  

              Argument:  A file name of up to 40 characters.
              Options:   A valid file name.
              Default:   No SETUP file used.
              Usage:     Defaults to previous scan.
              Example:   SETUP = 'NUG6CM.SET'

3 SOURCE
 SOURCE   - The source name.  Needed for first scan.  The name must
            match (case insensitive) the name of a source in the
            source catalogs.

              Argument:  Text of up to 8 characters.
              Options:   Any source in the catalogs.
              Default:   None
              Usage:     Defaults to previous scan.
              Example:   SOURCE = '3C120'

3 SRCCAT
 SRCCAT   - A flag to indicate that the following inputs are to be 
            treated as an in-line source catalog.  See the section on
            catalogs for details of catalog contents.  The catalog
            input is terminated by ENDCAT / to resume schedule input.
            It is best to specify SRCCAT / as a separate line not part
            of other schedule input.  The program stores the source
            catalog information in internal arrays which have a 
            maximum size that may depend on the computer (500 in the
            distributed version).  All sources found in in-line 
            catalogs are stored in these arrays because they may be
            read before all scheduled sources are known.  When the
            external catalog is read, only scheduled sources are kept.
            See the second Mark II example for a sample of how in-line
            catalogs are used.

              Argument:  None. 
              Options:   None.
              Default:   Not used.
              Usage:     There can be as many in-line catalogs as
                         desired, consistent with the maximum number
                         of allowed sources in the catalogs.
              Example:   SRCCAT /

3 SRCFILE
 SRCFILE  - The file name of the external source file.  See the 
            section on catalogs for the required formats.  If 
            SRCFILE is not specified, it defaults to SOURCES.  This
            can be a file named SOURCES, without extension, in the
            default directory.  On a VAX, it could also be the 
            logical name SOURCES if that logical has been defined
            to be a source catalog.  The SOURCES logical is defined
            by the standard Caltech package login proceedure.  If
            'none' is specified, no external catalog will be read.

              Argument:  A file name of up to 80 characters.
              Options:   Any file name.
                         'none' - don't read external file.
              Default:   'SOURCES'
              Usage:     Use only once.
              Example:   SRCFILE = '[MYNAME.CATALOGS]MYSOURCES.DAT'

3 STACAT
 STACAT   - Flag to indicate that the following entries are part of
            the stations catalog.  See the section on catalogs for 
            details of the format.  In-line catalogs can occur more
            than once in the schedule.  It is best to specify 
            STACAT / as a separate entry and not part of other 
            schedule input.  The station catalog input is terminated
            with a separate entry containing ENDCAT /. 

              Argument:  None.
              Options:   None.
              Default:   Not used.
              Usage:     Can occur as often as desired.
              Example:   STACAT /

3 STAFILE
 STAFILE  - The file name of the external stations file.  See the 
            section on catalogs for the required formats.  If 
            STAFILE is not specified, it defaults to STATIONS. This
            can be a file named STATIONS, , without extension, in the
            default directory.  On a VAX, it could also be the 
            logical name STATIONS if that logical has been defined
            to be a source catalog.  The STATIONS logical is defined
            by the standard Caltech package login proceedure.  If
            'none' is specified, no external catalog will be read.

              Argument:  A file name of up to 80 characters.
              Options:   Any valid file name.
                         'none' - do not read external catalog.
              Default:   'STATIONS'
              Usage:     Only specify once.
              Example:   STAFILE = '[MYNAME.CATALOGS]MYSTATIONS.DAT'

3 START
 START    - The start time of the scan in UT.  If LST was specified,
            START is assumed to be in local sidereal time.  START
            must be specified for the first scan.  For later scans,
            it will default to the stop time of the previous scan if
            not specified.

              Argument:  A time.  Format  hh:mm:ss
              Options:   Any time.
              Default:   No default - program will stop if first START
                         is not given.
              Usage:     Defaults to stop time of previous time.
              Example:   START = 13:15:00

3 STATions
 STATions - The list of up to 30 stations to be included in this scan.
            If there is any change to the list, the whole list should
            be given again.  The station names given must match ones
            available in the station catalogs.  The scans for any 
            specific station must be in time order.  For historical
            reasons, STATN will be accepted as an alias (actually the
            last 4 characters can be anything).

              Argument:  30 station names, up to 8 characters each.
              Options:   Any stations in the station catalog.
              Default:   At least one must be given for first scan.
              Usage:     Defaults to previous scan.
              Example:   STATION = BONN, BOLOGNA, ONSALA, JODRELL,
                                   HSTK, NRAO, VLA, VLBA_PT, OVRO

3 STOP
 STOP     - The stop time of the scan in UT.  If LST is specified, the
            time is in local sidereal time.  Either a STOP time or a
            DURation must be given for each scan, although the 
            DURation can default to a previous value.  If both are
            given, the implied stop times are compared and, if they
            are different (by more than 10 seconds), a complaint
            is generated.  A simple check of a long schedule made
            in durations is to include the stop time of the last
            scan.  If schedule has problems, there will be an error
            message.

              Argument:  A time.  Format  hh:mm:ss
              Options:   Any time.
              Default:   Start time plus duration.  One of DURation or
                         STOP is required.
              Usage:     STOP or DURation required for each scan. 
                         DURation will default to previous scan.
              Example:   STOP = 13:45:00

3 TANT1
 TANT1    - Turn on Ta measurement at stations in the TANTSTA1 list.

              Argument:  None or a non-zero value.
              Options:   None or 0 to turn on Ta measurements
                         Non-zero value (ie -1) to turn off Ta
                         measurements.
              Default:   Make the Ta measurements.
              Usage:     Defaults to previous scan.
              Example:   TANT1 = -1

3 TANT2
 TANT2    - Turn on Ta measurement at stations in the TANTSTA2 list.

              Argument:  None or a non-zero value.
              Options:   None or 0 to turn on Ta measurements
                         Non-zero value (ie -1) to turn off Ta
                         measurements.
              Default:   Make the Ta measurements.
              Usage:     Defaults to previous scan.
              Example:   TANT1 = -1

3 TANTSTA1
 TANTSTA1 - List of up to 30 stations for which TANT1 will turn on and
            off Ta measurements.  These stations must have control
            files of NRAO or SNAP type or the program will abort.

              Argument:  Up to 30 station names of up to 8 characters.
                         Should match names in STATION list and 
                         in STATIONS catalog.
              Options:   Any station names.  Unrecognized names will
                         be ignored.
              Default:   Any of NRAO, OVRO, and BONN that are in
                         the schedule.
              Usage:     Only one list (last given) used for schedule.
              Example:   TANTSTA1='OVRO', 'JODRELL'


3 TANTSTA2
 TANTSTA2 - List of up to 30 stations for which TANT2 will turn on and
            off Ta measurements.  These stations must have control
            files of NRAO or SNAP type or the program will abort.

              Argument:  Up to 30 station names of up to 8 characters.
                         Should match names in STATION list and 
                         in STATIONS catalog.
              Options:   Any station names.  Unrecognized names will
                         be ignored.
              Default:   None. 
              Usage:     Only one list (last given) used for schedule.
              Example:   TANTSTA1='HSTK', 'BOLOGNA' 


3 TAPE
 TAPE     - Force a tape change at the start of the scan.  This will
            override any automatic tape changing that is going on and
            will reset the reference time for any following automatic
            tape changes.

            If no argument is given, the tape will be changed at all
            stations.  If a list of stations is given, the tapes will
            only be changed at those stations.  If a station is given
            that is not in the scan, an error message will be generated
            and sched will abort.

              Argument:  None or a list of up to 30 station names.
              Options:   No argument, or a list of any stations in the
                         scan.  Not case sensitive.
              Default:   Not used.  Automatic tape changes by default.
              Usage:     Must specify whenever needed.
              Example:   TAPE or TAPE=VLBA_MK,VLBA_NL

3 TAPEFILE
 TAPEFILE - The file name for the tape initialization file.  See the
            TAPEFILE section in this help file for details on the
            contents.

              Argument:  A file name of up to 80 characters.
              Options:   Any file name.
              Default:   'NONE'  (causes defaults to be used).
              Usage:     Only one accepted - the last.
              Example:   TAPEFILE='JAN1992.TAPES'

3 TAPEINI
 TAPEINI  - Informs SCHED that the next group of input parameters 
            will be tape initialization information, equivalent
            to one line from the TAPEFILE.  It should be specified
            by itself, followed by a /.

              Argument:  None.
              Options:   None.
              Default:   Not used.
              Usage:     Should not be used more than once.
              Example:   TAPEINI  /

3 TAVLBA
 TAVLBA   - Write a VLBA antenna temperature measuring sequence
            in the VLBA control file for this scan.  Parameters 
            PTSLEW and PTDUR are used as they are for PTVLBA.
            If antenna temperature measurements are desired as part
            of a VLBI experiment, a separate scan with TAVLBA set
            should be requested before or after the main VLBI 
            scan.  Do not rely on a long PTSLEW to get the VLBI
            data since during the setup part of the scan, the
            requested pointing position is at a half power point.

            Use of TAVLBA is not the recommended calibration 
            method for the VLBA.  The apriori gains should be used
            instead.  The VLBA antennas are not set up for accurate
            single dish measurements.  The apriori values were 
            obtained during good weather when this is not so much
            of a problem.  If the weather is good for the VLBI
            experiment, the apriori values will be good to a few
            percent, probably better than any Ta measurement.  If
            the weather is poor, the Ta measurements will probably
            be nearly useless.

              Argument:  None.
              Options:   0 or blank to set.  non-zero to go back to
                         non-pointing modes.
              Default:   Not used.
              Usage:     Reverts to previous scan if not specified.
              Example:   TAVLBA

3 TELEX
 TELEX    - The Principal Investigator's TELEX number.

              Argument:  Text of up to 64 characters.
              Options:   Any.
              Default:   Blank.
              Usage:     Only one value used (last).
              Example:   TELEX = ' 910-988-1710 '

3 TPREF
 TPREF    - A reference time for Mark II tape changes.  When 
            automatic tape changes are specified (the default), they
            will occur at times that are an integral number of
            tapelengths (default 4 hr) before or after this time.
            Since the only really valid Mark II tape length of 4 
            hours divides a 24 hr day evenly, no provision is
            provided to specify a day.

              Argument:  A time.
              Options:   Any valid time between 0 and 24 hr.
              Default:   Not used (Start time of earliest scan of
                         the schedule is used).
              Usage:     Only one value accepted
              Example:   TPREF=5:0:0

3 TPRATE
 TPRATE   - An offset from the normal recording rate, bandwidth, and
            sample rate as specified in the SETUP file.  It should be
            a power of two.  This allows changes in the sensitivity
            and tape consumption rate without sufficient change in
            setup to confuse the tape management scheme.  Recall
            that a limited set of recording speeds will be supported.
            For Mark III modes on the VLBA, only 135 and 270 ips are
            currently used so TPRATE can only be 0.5 or 2 depending
            on what is in the SETUP file.  There will be other
            options with the full VLBA system.  Most current users
            should not try to use this parameter.

              Arguement:  A number.  Must be a power of two and must
                          give reasonable results.
              Options:    0.25, 0.5, 1, 2, 4 as long as the resulting
                          tape speed is valid.
              Default:    1.0
              Usage:      Reverts to previous scan.
              Example:    TPRATE=2.0               


3 VERSION
 VERSION  - The version number of the schedule.  Usually this will
            be 1 for the first, 2 for the second, etc.  Often 
            stations get a schedule, then the PI changes his/her
            mind about something, or finds and error, and creates
            a new version.  Later at the observatory, it is not
            always obvious which is the latest version.  This
            version number is meant to make it obvious.

            SCHED will abort if this is not specified.

              Argument:   Any real number (can have decimals -
                          it will be printed in F10.2 format)
              Options:    Any but integers are typical.
              Default:    0 which causes an abort.
              Usage:      Only one value used (last).
              Example:    VERSION = 1

3 VLABAND
 VLABAND  - The band code for VLA observations.

              Argument:  Text of 2 characters.
              Options:   'VP'  327 MHz VLBI
                         'VL'  1.8 GHz VLBI
                         'VC'   5  GHz VLBI
                         'VX'   8  GHz VLBI
                         'VK'  22  GHz VLBI
                         'PP'  327 MHz VLA
                         'LL','HH','18','21'   1.6 GHz VLA
                         'CC'   5  GHz VLA
                         'XX'   8  GHz VLA
                         'UU'  15  GHz VLA
                         'KK'  22  GHz VLA
              Default:   None - Required for VLA.
              Usage:     Defaults to previous scan.
              Example:   VLABAND = 'VC'

3 VLABW
 VLABW    - This specifies the bandwidth of each of the VLA IF's 
            (ABCD).  This is done with digits such that the bandwidth
            is 50/2**n MHz where n is the digit used.  For example,
            VLABW = '0202' specifies that the AC IF's are at 50 MHz
            bandwidth and the BD IF's are at 12.5 MHz bandwidth.
            The digits are specified in a 4 character text which is
            copied to the VLA file.  The default of '0000' is 
            appropriate for most VLBI observations.  The final video
            filters for VLBI are in the Mark III system which is 
            not controlled by the VLA computers.

              Argument:  Text of 4 characters, each a decimal digit.
              Options:   Digits can be between 0 and ????
              Default:   '0000'
              Usage:     Defaults to previous scan.
              Example:   VLABW = '1414'

3 VLAFILE
 VLAFILE  - This used to be the VLA control file name for the DEC10.
            It is not clear that is used any more and there is no
            need to specify it.  However whatever text is provided
            will be placed on the second card of the VLA OBSERV DECK
            where the DEC10 file name used to be.
            of all this after the DEC10 leaves the VLA.

              Argument:  A file name of up to 20 characters.
              Options:   Any valid file name.
              Default:   Blank
              Usage:     Specify only once.
              Example:   VLAFILE = 'VZ15G.OBS[13,440]'

3 VLAMODE
 VLAMODE  - The VLA mode.

              Argument:  Text of 2 characters.
              Options:   '  '  Normal VLA continuum.
                         'VS'  Single dish VLBI
                         'VA'  Auto phasing VLBI
                         'VX'  VLBI holding phases from previous VA 
                               scan
                         Other valid options: 'IA','IB','IC','PA',
                          'PB','PC','PD','D ','TE','TF','O ','ON'.
                          Consult VLA documentation for details.
              Default:   None - required for VLA.
              Usage:     Defaults to previous scan.
              Example:   VLAMODE = 'VX'

3 VLANTSYS
 VLANTSYS - The VLA on-line system normally applies a Tsys based
            amplitude correction to data from the correlator. 
            In order to calibrate VLBI data taken with the VLA,
            it is necessary to have correlation coefficients.  If
            the Tsys correction is made, the raw correlation
            coefficients are lost.  The old scheme for obtaining the
            VLBI calibration data was based on the VLA standard 
            output, so it was necessary to request that the Tsys
            correction be turned off.  The new scheme for obtaining
            the VLBI calibration information involves extraction of
            the correlation coefficients by the on-line system 
            before the Tsys corrections are made.  Therefore it is
            no longer necessary to turn the corrections off and
            leaving them on makes it easier to use the data to make
            VLA maps.  The default action of SCHED is now to leave
            the corrections on and that should be correct for 
            essentially all observations.  However, just in case
            someone still wants them turned off, this can be done
            by specifying VLANTSYS.

              Argument:  None, unless trying to turn VLA Tsys 
                         corrections back on.
              Options:   No value or 0 turns off Tsys corrections
                         Non-zero value turns them on.
              Default:   Keep Tsys corrections on.
              Usage:     Defaults to previous value.
              Example:   VLANTSYS

3 VLAPSRC
 VLAPSRC  - A source to use for phasing the VLA.  If the scan is
            VX mode and VLAPSRC is different from SOURCE, a scan
            will be inserted in the VLA observe deck on VLAPSRC
            with mode VA.  The tape control file (CRD.) file will
            not be affected.  The stop time of the phasing scan
            will be one minute before the start of the VLBI scan
            or 3 minutes after the stop of the previous VLBI 
            scan, whichever is later.  If less than 2 minutes of
            the VLBI scan remain as a result, a complaint will be
            generated.

            It is wise to take the VLA OBS. file into VLA OBSERVE
            and check the slew and dwell times.  The default timing
            used for VLAPSRC will not always be reasonable and the
            phasing scan stop time may need to be adjusted.

            Note that, since phasing scans are not generated for
            VA mode scans or if VLAPSRC = SOURCE, VLAPSRC need
            not be specified or changed for such scans.  This may
            minimize the number of times VLAPSRC needs to be 
            specified.

              Argument:  Any source name of up to 8 characters.
              Options:   Any source in the catalogs.
              Default:   Uses SOURCE, which causes no phasing scan
                         to be written.
              Usage:     Defaults to previous scan.
              Example:   VLAPSRC = '0255+164'

3 VLATYPE
 VLATYPE  - A specification of the type of the observations for the
            VLA observe file.

              Argument:  Text of up to 9 characters.
              Options:   'VLBI'       VLBI observations.
                         'CONTINUUM'  Normal VLA continuum.
                         'LINE'       VLA Spectral line observations.
              Default:   'VLBI'
              Usage:     Use only once.
              Example:   VLATYPE='CONTINUUM'

3 VLAUSERN
 VLAUSERN - The VLA user number.  Provide PI's vla number if desired.
            For VLBI runs, the default is ok.

              Argument:  Integer.
              Options:   Any VLA user number.
              Default:   600
              Usage:     Only last value entered is used.
              Example:   VLAUSERN = 323

3 YEAR
 YEAR     - The year of the stop time of the scan.  This must be
            specified for the first scan.  

              Argument:  Integer
              Options:   Any valid year.
              Default:   None - program will stop if not given for
                         first scan.
              Usage:     Defaults to previous scan.
              Example:   YEAR = 1989




2 SETUP_FILES
            SETUP FILES FOR VLBA AND VLA SCHEDULING

 SETUP files are used to provide many station specific input 
 parameters.  Most are for the VLBA which requires complete 
 configuration information be present in each schedule and the VLA
 which requires information for the frequency setup.  Standard
 SETUP files have been created for each of the normal modes of 
 observing.  For example, there is a SETUP file for Network Mark II
 6 cm observing (NUG6CM.SET) that gives all the configuration 
 parameters for such observations.  Observers are encouraged to send
 their SCHED input files to the VLBA staff who will add the correct
 SETUP file specification before running SCHED to create the final
 control files.  This insures that the latest hardware information
 is included.  

 The SETUP files also contain the values needed for the //LO and
 //FI cards for the VLA OBSERV DECK.  See the section on VLA observing
 for details.

 The SETUP file entry for a station consists of a group of inputs in
 the KEYIN format, terminated by a /.  

 The examples below show the SETUP files for a fairly simple Mark II
 observation, for a Mark III, mode B observation that requires much
 more information for formatter and tape control, for a spectral line
 observations that includes the VLA, and for a VLBA observation using
 a common VLBA continuum setup.  The allowed KEYIN parameters are 
 listed after the example.  Construction of SETUP files, other than 
 minor changes in frequency etc., is best left to someone who knows 
 the VLBA on-line system.

---------------------------------------------------------------------
 EXAMPLE:   Mark II observations (1 channel).
 --------------------------------------------------------------------
 !   Setup file for SCHED for 6 cm Network observations - Mark II
 nchan    = 1
 logging  = standard
 fe(3)    = '6cm'
 noise    = low-s,low-s,low-s,low-s
 ifdist   = 0,0,0,0
 samprate = 4.0
 period   = 2  
 level    = -1 
 synth(2) = 4.1
 firstlo  = 4100
 bbsyn    = 890.99
 bbfilter = 2.0
 sideband = U
 ifchan   = C
 bbc      = 1
 format   = MARKII
 STATION  = 'VLBA_PT' /
 STATION  = 'VLBA_KP' /
 STATION  = 'VLA' / 

 --------------------------------------------------------------------
 EXAMPLE:   Mark III observations, Mode B. 
 --------------------------------------------------------------------
 !   Setup file for 6 cm Mark III mode B observations.
 !   This shows the gory details of how to set BBC synthesizers,
 !   track assignments, and pcal assignments.
 nchan    = 14
 logging  = standard
 fe(3)    = '6cm'
 noise    = low-s,low-s,low-s,low-s
 ifdist   = 0,0,0,0
 samprate = 4.0
 period   = 2                   ! Same value used for all channels.
 level    = -1                  ! Same value used for all channels.
 synth(2) = 4.1  
 tpmode   = 2                   ! Number of passes per index position.
 format   = MARKIII
 tpspeed  = 135
 firstlo  = 4100,   4100,   4100,   4100,   4100,   4100,   4100, 
            4100,   4100,   4100,   4100,   4100,   4100,   4100
 bbsyn    = 874.99, 874.99, 878.99, 878.99, 882.99, 882.99, 886.99,
            886.99, 890.99, 890.99, 894.99, 894.99, 898.99, 898.99
 bbfilter = 2., 2., 2., 2., 2., 2., 2., 2., 2., 2., 2., 2., 2., 2.
 sideband =  U,  L,  U,  L,  U,  L,  U,  L,  U,  L,  U,  L,  U,  L
 ifchan   =  C,  C,  C,  C,  C,  C,  C,  C,  C,  C,  C,  C,  C,  C
 bbc      =  1,  1,  2,  2,  3,  3,  4,  4,  5,  5,  6,  6,  7,  7
 bits     =  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1
 track1   =  4, 18,  6, 20,  8, 22, 10, 24, 12, 26, 14, 28, 16, 30
 track2   =  5, 19,  7, 21,  9, 23, 11, 25, 13, 27, 15, 29, 17, 31
 pcal     = '1MHz'
 pcalxb1  = S1,     S2,    S5,     S6,    S9,  S10,  S13,  S14
 pcalxb2  = S3,     S4,    S7,     S8,   S11,  S12,   S1,   S2
 pcalfr1  = 10,    990,    10,    990,    10,  990,   10,  990
 pcalfr2  = 10,    990,    10,    990,    10,  990,   10,  990

 STATION  = 'VLBA_PT' /
 STATION  = 'VLBA_KP' /
 STATION  = 'VLBA_LA' /

 --------------------------------------------------------------------
 EXAMPLE:   Mark III observations, Mode B. 
 --------------------------------------------------------------------
 !  This is the same setup as above, but allowing SCHED to take many
 !  defaults.  This style is recommended over the above.  It is much
 !  simpler and less prone to errors.

 nchan = 14  samprate = 4.0  bits = 1  bbfilter = 2.0  !   56 Mbps
 tpmode = 2  format = MARKIII  tpspeed  = 135
 bbc      = 1,  1,  2,  2,  3,  3,  4,  4,  5,  5,  6,  6,  7,  7
 netside  = L,  U,  L,  U,  L,  U,  L,  U,  L,  U,  L,  U,  L,  U
 ifchan  = L,L,L,L,L,L,L, L,L,L,L,L,L,L
 freqoff = -16, -16, -12, -12, -8, -8, -4, -4, 0, 0, 4, 4, 8, 8
 !    Radio Astronomy allocation: 4990-5000
 !    Radio Astnomomy footnote:   4950-4990
 freqref  = 4990.99  !  Mark II network standard.
 firstlo  = 4100.00  fe(1) = '6cm'   fe(3) = '6cm'   synth(2) = 4.1
 station  = VLBA   rchan = A  lchan = C   /
 firstlo  = 4360.10
 station  = VLA    rchan = A  lchan = C   /
 station  = VLA1   rchan = B  lchan = D   /
 station  = VLA27  rchan = A  lchan = C   /


 ------------------------------------------------------------------
 EXAMPLE:  Spectral line SETUP including VLA parameters.
 ------------------------------------------------------------------  
 ! Setup file for SCHED for 18 cm spectral line observations - Mark II

 nchan    = 1
 logging  = standard
 fe(3)    = '20cm'
 noise    = low-s,low-s,low-s,low-s
 ifdist   = 0,0,0,0
 samprate = 4.0
 period   = 2  
 level    = -1 
 synth(2) = 2.4
 firstlo  = 2400
 bbsyn    = 740.01
 bbfilter = 2.0
 sideband = L
 ifchan   = C
 bbc      = 1
 format   = MARKII
 STATION  = 'VLBA_PT' /
 STATION  = 'VLBA_KP' /
 STATION  = 'VLBA_LA' /

 STATION  = 'VLA' 
 FLUKESET = 2
 FLUKEA   = 100.1    ! Warning - These numbers are an example of
 FLUKEB   = 200.1    !           the format.  They may not be correct
 VLAFEAB  = -3.2     !           for observing.
 VLAFECD  = -3.2
 VLASYNA  = 3839.9
 VLASYNB  = 3839.9
 FIRSTLO  = 1562.89  ! The L band MkII VC is set to 172.99 MHz.
 / 

 ------------------------------------------------------------------
 EXAMPLE:  4 channel, 128 Mbps VLBA mode.
 ------------------------------------------------------------------  
 !  Lets SCHED calculate BBC frequencies and set tracks and pcal.
 nchan = 4  samprate = 16.0  bits = 2  bbfilter = 8.0  !  128 Mbps
 tpmode = 1  format = VLBA1:4  tpspeed = 135.0
 bbc      = 1, 2, 3, 4
 netside  = U, U, U, U
 ifchan   = R, L, R, L  freqoff = -3.5, -3.5, 4.5, 4.5
 !    Space Research (eg DSN) allocation: 8400-8450
 freqset  = 8416.99  !  Mark II network standard.
 firstlo  = 7600.00  fe(2) = '4cm'   fe(4) = '4cm'
 synth(1) = 7.6   synth(3) = 9.6
 station  = 'VLBA'   rchan = B  lchan = D   /
 firstlo  = 9039.90
 station  = 'VLA'    rchan = A  lchan = C   /
 station  = 'VLA1'   rchan = B  lchan = D   /
 station  = 'VLA27'  rchan = A  lchan = C   /
 ------------------------------------------------------------

3 PARAMETERS
                PARAMETERS FOR THE SETUP FILE.

 A list of the setup parameters is given below followed by detailed
 information on each one.  All of the parameters revert to the 
 previous value if not specified for a station.  This allows most to
 be specified only once in a file.  There does need to be a separate
 group for each station, but after the first, the group may only
 contain the station name.  All parameters can have different values
 for different stations.

 The default values for most parameters are not useful.  It is
 safest, and generally good policy, to specify everything.

 Note that the VLBA uses the concept of channels.  Many of the 
 parameters take an array of arguments, one for each channel.  The
 corresponding elements of the arrays specify the required information
 for the channel, such as the BBC from which the signal will come, 
 the IF that BBC is attched to, the bandwidth of the BBC, the 
 frequency of the BBC, the tape track to use etc.  There is nothing
 to prevent more than one channel from being assigned to one 
 BBC/sideband.  In such cases, care should be taken to insure that
 the same frequency, bandwidth, and input IF are assigned for each
 such channel.  If this is not done, the on-line system can get 
 confused about what signal is in each channel.

 AZCOLIM  - The colimation offset in azimuth.
 BBFILTER - The BBC bandwidth for each channel.
 BBC      - The BBC assigned to each channel.
 BBSYN    - The BBC frequency setting for each channel.
 BBSYN2   - The second set of BBC frequencies for frequency switching.
 BITS     - The number of bits per sample.
 DUALX    - Specifies mode that allows more than 500 MHz at X band.
 ELCOLIM  - The colimation offset in elevation.
 FE       - The receivers to be used.
 FEFILTER - The VLA front end filter specification for the //LO card.
 FIRSTLO  - The sum of all LO's except the one set if FREQ used.
 FLUKEA   - The A Fluke frequency for the VLA //FI card.
 FLUKEB   - The B Fluke frequency for the VLA //FI card.
 FLUKESET - The fluke set to specify on the //FI card for the VLA.
 FREQOFF  - Value to add to FREQREF for each channel to get LO sum.
 FREQREF  - The LO sum is FREQREF+FREQOFF.  Alternative to BBSYN.
 FRSWITCH - Specifies frequency switching.
 IFCHAN   - The IF channel to the BBC for each baseband channel.
 IFDIST   - The attenuation of and input to the IF Distributers.
 LCHAN    - The IFCHAN to use if IFCHAN is set to 'L' (LCP).
 LEVEL    - The attenuator setting for the BBCs.
 LOGGING  - The type of logging to be done.
 NCHAN    - The number of channels.
 NOISE    - The noise diode switching mode.
 PERIOD   - The averaging time in the BBCs.
 PCAL     - The mode for the pulse cal generator.
 PCALFR1  - The pulse cal frequencies to be detected by ch1 of a dector.
 PCALFR1  - The pulse cal frequencies to be detected by ch2 of a dector.
 PCALXB1  - The bit and channel assignment of ch1 of a pcal detector.
 PCALXB2  - The bit and channel assignment of ch2 of a pcal detector.
 PTINCR   - The step size for pointing patterns.
 RCHAN    - The IFCHAN to use if IFCHAN is set to 'R' (RCP).
 SAMPRATE - The sample rate.
 SIDEBAND - The BBC sideband for each channel.
 STATION  - The station name.
 STRING1  - An 80 character string to be passed to the VLBA file.
 STRING2  - Another string - for any parameters not understood by
 STRING3  - Another string - SCHED.
 STRING4  - Another string.
 SWTCHDUR - The duration of the scans in a frequency switching loop.
 SYNTH    - The 2-16 GHz synthesizer settings.
 TPMODE   - The number of passes per index position.
 TPSPEED  - The speed of the recorder in inches per second.
 TRACK1   - The tape tracks for pass 1 at an index position.
 TRACK2   - The tape tracks for pass 2 (assumes 16 or fewer chan.).
 TRACK3   - The tape tracks for pass 3 (assumes 8 or fewer chan.).
 TRACK4   - The tape tracks for pass 4 (assumes 8 or fewer chan.).
 TRACK5   - The tape tracks for pass 5 (assumes 4 or fewer chan.).
 TRACK6   - The tape tracks for pass 6 (assumes 4 or fewer chan.).
 TRACK7   - The tape tracks for pass 7 (assumes 4 or fewer chan.).
 TRACK8   - The tape tracks for pass 8 (assumes 4 or fewer chan.).
 VLAFEAB  - The first LO frequency for the VLA //LO card.
 VLAFECD  - The first LO frequency for the VLA //LO card.
 VLAIF    - The VLA gain file name for the //LO card.
 VLAROT   - The VLA rot file name for the //LO card.
 VLASYNA  - The AC F6 frequency for the VLA //LO card (not rounded).
 VLASYNB  - The BD F6 frequency for the VLA //LO card (not rounded).



4 AZCOLIM
 AZCOLIM  - An azimuth colimation offset to add to the nominal one
            used by the on-line computers for pointing.  Usually 
            this will be 0.0 (changed from being required as part
            of the pointing equation in early 1991). 

              Argument:  A pointing offset in arc minutes.
              Options:   Any real number.
              Default:   0.0
              Example:   AZCOLIM=1.2

4 BBFILTER
 BBFILTER - The bandwidth setting for the BBC.  There is one value
            for each channel.  The value must be a multiple of 2
            times 0.0625 MHz up to a maximum of 16 MHz.  Up to 16
            values can be accepted.  If two or more channels are
            assigned to the same BBC/sideband, they should have
            the same BBFILTER assigned.  If not the last will 
            probably be used.

              Argument:  Up to 16 bandwidths in MHz (real numbers).
              Options:   0.0625, 0.125, 0.250, 0.5, 1.0, 2, 4, 8, 16.
              Default:   0 - At least channel 1 should be specified.
                         Any other unset channels set equal to 
                         channel 1.
              Example:   BBFILTER=2,2,2,2,2,2,2,2,2,2,2,2,2,2
                         same as: BBFILTER=2.
4 BBC
 BBC      - Used to specify the Base Band Converter (BBC) to which
            each channel is assigned.

              Argument:  Up to 16 integers.
              Options:   Integers between 1 and 8 make sense.
              Default:   0 - should be specified.
              Example:   BBC=1,1,2,2,3,3,4,4,5,5,6,6,7,7

4 BBSYN
 BBSYN    - The frequency setting for the BBC assigned to each 
            channel.  This number will be overridden if FREQ or
            DOPCAL is specified in the main schedule.  Even if
            DOPCAL is specified, this value serves as the default
            for continuum sources (no velocity or DOPSRC specified).
            All channels assigned to the same BBC should be assigned
            the same frequency.  If not, the last will probably be
            used and the monitor system will get confused about 
            what signals are present.

            Please see FREQREF for a discussion of required parameters.

              Argument:  Up to 16 frequencies in MHz.
              Options:   Any multiple of 0.01 MHz between 500.0 and 
                         1000.0 MHz.
              Default:   0 - should be specified.
              Example:   BBSYN=720.99,720.99,724.99,724.99

4 BBSYN2
 BBSYN2   - If frequency switching is specified, this is the set
            of frequencies for the second scan of the switching loop.

            Note that frequency setting using FREQREF and any 
            pcal defaults are not used for the second frequency set.
            BBSYN2 must be specified for this frequency set.

              Argument:  Up to 16 frequencies in MHz.
              Options:   Any multiple of 0.01 MHz between 500.0 and 
                         1000.0 MHz.
              Default:   0 - should be specified if frequency 
                         switching is requested by not needed 
                         otherwise.
              Example:   BBSYN2=728.99,728.99,732.99,732.99


4 BITS
 BITS     - The number of bits per sample for each channel.  If BITS
            is 2, the magnitude bit is placed on assigned track plus 4
            for FORMAT=VLBA1:4, on assigned track plus 2 for FORMAT=
            VLBA1:2 and on assigned track plus 1 for FORMAT=VLBA1:1.

            I think there is something wrong with this assignment -
            see the discussion under FORMAT.

              Argument:  An integer.
              Options:   1 or 2
              Default:   1 for all channels if none are set.
                         Same as channel 1 if one or more are set.
              Example:   BITS=1,1,1,1,1,1

4 DUALX
 DUALX    - A switch to turn on the mode where the B and D IFs are
            both assigned to RCP at 4 cm, but with separate first
            LO's.  IF B uses SYNTH 1 while IF D uses SYNTH 3.  This
            allows more than 500 MHz to be spanned instantaneously
            in this band and is used for geodetic and astrometric
            observations.

              Argument:  None.
              Options:   Do or do not specify.
              Default:   B is RCP, D is LCP and both use SYNTH 1.
              Example:   DUALX

4 ELCOLIM
 ELCOLIM  - An elevation colimation offset to be added to the one
            used by the on-line computers. 
        
              Argument:  A pointing offset in arc minutes.
              Options:   Any real number.
              Default:   0.0
              Example:   ELCOLIM=1.2

4 FE
 FE       - Four front end specifications, one for each IF (A, B,
            C, and D).

              Argument:  A character string containing one of the
                         options.
              Options:   For elements 1 or 3: 20cm, 13cm, 6cm, or
                                              8mm.
                         For elements 2 or 4: 90cm, 50cm, 4cm, 3cm,
                                              2cm, or 1.3cm.
              Default:   0 - should be specified.
              Example:   FE(1)='20cm' FE(3)='20cm'.

4 FEFILTER
 FEFILTER - The VLA front end filter specification.  Options are:
             '0000' 50 MHz
             '1111' 25 MHz
             '2222' 12.5 MHz
            These are used to help avoid RFI especially at the
            lower frequencies.  They are centered in the normal
            50 MHz band.  Anyone using these should understand
            the VLA system well.

              Argument:  A four character string.
              Options:   '    ', '0000', '1111', and '2222'.
                         SCHED does not enforce valid options.
              Default:   '    '.
              Example:   FEFILTER='1111'

4 FIRSTLO
 FIRSTLO  - The LO sum for each channel for all mixes other then the 
            one that will be set if FREQ or DOPCAL is specified.  
            For use in SCHED only - it is not written to the output 
            file.  For frequencies below 16 GHz on the VLBA, this is 
            just the front end synthesizer as specified by SYNTH.  
            For higher frequencies it is the sum of two synthesizers.
            For the VLA, use the following equations:

            For the VLBA 327 MHz system, the value should be -500.0
            MHz to make any frequency calculations come out right.
            That mix is an up-convert.
  
            20, 6, and 1 cm -- FIRSTLO = F1 + F6 + 900 + FA - 600
             4 and 2 cm     -- FIRSTLO = F1 - F6 - 900 - FA + 600
              where F1 = VLAFEAB(LS) * 1000
                    F6 = VLASYNA(LS)         Not yet rounded off.
                    FA = FLUKEA(LS)  Fluke setting.

            Please see FREQREF for a discussion of required parameters.

              Argument:  An array of frequecies in MHz.
              Options:   Any valid LO sum.
              Default:   0 - must specify at least channel 1 if 
                         FREQ or DOPCAL is used.  Any other unset
                         channels will be set equal to channel 1.
              Example:   FIRSTLO = 2400, 2400

4 FLUKEA
 FLUKEA   - The VLA A Fluke synthesizer setting.  It will is supposed
            to be between 100 and 150 MHz, although values in the high
            90's are common for VLBI. 

              Argument:  A real number giving the frequency in MHz.
              Options:   Values between about 95 and 150.
              Default:   0 - Not used.
              Exampls:   FLUKEA = 100.1

4 FLUKEB
 FLUKEB   - Same as FLUKEA except for the B Fluke.  The number to give
            is the number for the //FI card which is actually twice
            the actual synthesizer setting but is the frequency mixed
            with the data.  To get the same frequency on the AC and BD
            IF's, give FLUKEB = FLUKEA + 100.0

              Argument:  A real number giving the frequency in MHz.
              Options:   Values between about 95 and 150.
              Default:   0 - Not used.
              Example:   FLUKEA = 100.1

4 FLUKESET
 FLUKESET - The set of Fluke synthesizers to use at the VLA.  Normally
            this should be 1 for phased array or normal VLA 
            observations and 2 for single dish VLBI.  The operators 
            should be warned to check this in case the normal pattern
            is not being followed.  The default 0 (written as blank
            may usually be best - let the operator select the 
            flukeset.

              Argument:  Integer
              Options:   1 or 2
              Default:   0 - written as blank.
              Example:   FLUKESET=1

4 FORMAT
 FORMAT   - Tape recording format.  The options are:
              Value        Description
                VLBA1:1     1 bitstream on 1 tape track.  VLBA format.
                VLBA1:2     1 bitstream on 2 tape tracks (fan out).
                VLBA1:4     1 bitstream on 4 tape tracks.
                VLBA2:1     2 bitstreams on 1 tape track (fan in).
                VLBA4:1     4 bitstreams on 1 tape track.
                MARKIII     Mark III tape format.  No fan in or out.
                MARKII      No action - use for Mark II and single 
                               dish.
                NONE        No tape to be used - as for pointing.

            Note on track assignments:
              Track assignments are an easy thing to get wrong.  
              SCHED will make track assignments automatically for
              some modes if they are not specified in the setup file.
              Most users should take advantage of this facility.
              Automatic track assignments will be made for MARKIII,
              VLBA1:1, VLBA1:2, and VLBA1:4 modes with 1 or 2 bits
              (2 bits in VLBA modes only).

              For the fan in modes, VLBA2:1 and VLBA4:1, give the same 
              track assignment to 2 or 4 channels.  These modes have
              not yet been tested.

              For the fan out modes, VLBA1:2 and VLBA1:4, give the 
              first track assignment for the channel.  Sequential 
              formatter track assignments are used for the other tracks
              associated with the channel.  The resulting recorder
              track assignments are then given below
              limited to those given below.

              VLBA1:2
                track for 1st bit   3   7  11  15  19  23  27  31
                track for 2nd bit   5   9  13  17  21  25  29  33

                track for 1st bit   2   6  10  14  18  22  26  30
                track for 2nd bit   4   8  12  16  20  24  28  32

              VLBA1:4
                track for 1st bit   3  11  19  27   2  10  18  26
                track for 2nd bit   5  13  21  29   4  12  20  28
                track for 3rd bit   7  15  23  31   6  14  22  30
                track for 4th bit   9  17  25  33   8  16  24  32
  
            The barrel roll is always on in VLBA modes and off in
            MARKIII mode.  The roll is within 8 track groups, advancing
            one track for each frame.

              Argument:  Text string of up to 8 characters.
              Options:   See above text.  Anything else will cause
                         SCHED to abort.
              Default:   None - must be sepecified.
              Example:   FORMAT=MARKIII

4 FREQOFF
 FREQOFF  - An increment to the L.O. sum for the channel in MHz.
            This will only be used if FREQREF is used.
            The L.O. sum will be set to FREQREF(i)+FREQOFF(i) and
            BBSYN will be set to the absolute value of the 
            difference between the L.O. sum and FIRSTLO.

            Please see FREQREF for a discussion of required parameters.

              Argument:  Up to 16 frequencies in MHz.
              Options:   Any valid frequency offset that gives
                         a BBSYN in the allowed range.
              Default:   0.0 - no offset.
              Example:   FREQOFF = -6., -4., -2., 0., 2., 4., 6.

4 FREQREF
 FREQREF  - The L.O. sum to use for the channel in MHz.  FREQOFF will 
            be added to it.  The L.O. sum is the sum of the FIRSTLO
            plus or minus (depending on sideband) the BBC synthesizer
            setting (BBSYN).  Note that a FREQ specification in the 
            main schedule will override FREQREF+FREQOFF, as long as
            the BBC settings stay within range and there are no 
            sideband changes.

            In order to set pcals properly and to deal with non VLBA
            stations correctly, it is best to know all of the
            LO sum, the first LO, and the BBC settings, along with
            all of the required sidebands.  Strictly speaking,
            valid VLBA schedules can be written without knowing all,
            but the scheduling program can be made significantly
            simpler and more reliable if all this information is
            required.  Not all of these values need to be specified
            since they are related.  There are 4 possible "complete"
            combinations which are:
               FREQREF+FREQOFF, FIRSTLO, (NETSIDE or SIDEBAND)
               BBSYN, SIDEBAND, NETSIDE, (FREQREF+FREQOFF or FIRSTLO)
            If more values are specified than necessary, a consistency 
            check will be done.

              Argument:  Up to 16 frequencies in MHz.
              Options:   Any valid frequency.
              Default:   0.0 for FREQREF(1) which means don't use it.
                         For channels 2 and up, will set to
                         FREQREF(1)    
              Example:   FREQREF = 1662.49

4 FRSWITCH
 FRSWITCH - A switch that turns on frequency switching.  If specified,
            a second group of synthesizer settings should be given in
            BBSYN2.  This is used for VLBA files only.

              Argument:  None.
              Options:   Do or don't specify it.
              Default:   Not set.
              Example:   FRSWITCH

4 IFCHAN
 IFCHAN   - The IF channel attached to each baseband channel for VLBA
            observations.  It should be A or C for 20, 13, 6.  For
            60, 50, 4, 3, 2, or 1.3 cm, it should be B or D.  A and
            B are RCP.  C and D are LCP.  If DUALX is specified, both
            B and D are RCP.

            As an alternative, R, or L can be specified.  Then it
            RCHAN and LCHAN are set, if IFCHAN is 'R', it will be
            replaced with RCHAN.  IF it is 'L', it will be set to
            LCHAN.  If bad RCHAN or LCHAN values are given, SCHED
            will complain about a bad IFCHAN specification.

              Argument:  An array of up to 16 characters of length 1.
              Options:   A, B, C, D, R or L
              Default:   None - should specify.
              Example:   IFCHAN=A,C,A,C,A,C,A,C,A,C,A,C

4 IFDIST
 IFDIST   - The attenuation to apply in the IF Distributers.  There is
            one value for each of the 4 IF's.  This is only used to
            attenuate the signals from solar observations or to 
            select alternate inputs for example for mm observations
            at sites with links to other antennas.

              Argument:  A character string of up to 3 characters.
                         The integers 0 and 20 are also acceptable.
              Options:   0, 20, 'A', '20A', 'A20'.  Nothing else.
                             0:  Normal input, no attenuation.
                            20:  Normal input, 20db attenuation.
                             A:  Alternate input, no attenuation.
                   20A and A20: Alternate input, 20 db attenuation.

              Default:   0
              Example:   IFDIST=0,0,'A',0

4 LCHAN
 LCHAN    - The IFCHAN to use if IFCHAN is set to 'L' as in LCP.
            Note that if an invalid argument is used, SCHED will
            complain that IFCHAN is bad.

              Argument:  A single character.
              Options:   A, B, C, or D
              Default:   None.  Must specify if IFCHAN set to 'L'.
              Example:   LCHAN = A

4 LEVEL
 LEVEL    - The setting of the attenuators in the Base Band 
            Converters.  Values between -1 and 256 can be used.  If
            -1 is set, the autoleveling will be activated.  If 256
            is set, the value from the previous scan will be used.
            This locks in an autolevel value for, for example, 
            pointing.  Any value in between sets a specific 
            attenuation.  Such values are rarely used.  Only one
            value is accepted but SCHED writes that value out
            separately for each channel.
 
              Argument:  An integer giving the level setting.
              Options:   -1 to 256.  See above.
              Default:   -1
              Example:   LEVEL=-1

4 LOGGING
 LOGGING  - Specifies the type of logging to be done on the VLBA
            STANDARD is appropriate for normal observation of
            almost any kind - at least it should be soon.  SPECIAL
            uses a special list of monitor points and logging 
            intervals provided by the operators.  This is typically
            used currently, but a switch to STANDARD should be made
            soon.  POINTING if for pointing observations.  All 
            monitor points are integrated for the period of good
            data in the scan.
 
              Argument:  Character string.
              Options:   STANDARD, SPECIAL, or POINTING
              Default:   STANDARD
              Example:   LOGGING = 'POINTING'

4 NCHAN
 NCHAN    - The number of channels.  A channel is the smallest unit
            that was once an analog signal.  One sideband from one
            BBC is a channel.  Note that nothing prevents the user
            from assigning several channels to the same BBC/sideband.
            In such cases, the data in the two channels will be
            identical.

              Argument:  An integer.
              Options:   Any integer between 1 and 16.
              Default:   0 - it should be specified.
              Example:   NCHAN=14

4 NETSIDE
 NETSIDE  - The net sideband.  Usually to be used in conjunction with
            FREQREF and FIRSTLO.  If SIDEBAND is not set to U or L,
            it will be set based on NETSIDE and the frequency settings.

            Please see FREQREF for a discussion of required parameters.

              Argument:  An array of up to 16 single characters.
              Options:   U or L.  Otherwise will not be used.
              Default:   0 - not used.
              Example:   NETSIDE=U,L,U,L,U,L,U,L

4 NOISE
 NOISE    - A specification for each IF of the switching mode of the
            noise cals.  The usual for VLBI is 'low-s' which means
            that the low cal (about 3K) is switching continuously at
            80 Hz for continuous system temperature measurements.
            'low-c' means low continuous, 'high-s' and 'high-c'are
            the same requests for the high (solar) cal.  Note that
            most receivers do not have solar cals.

              Argument:  4 character strings of up to 6 characters 
                         each, one for each IF.
              Options:   'off', 'low-s', 'low-c', 'high-s', 'high-c'
              Default:   0 - should be specified.
              Example:   NOISE='low-s','low-s','low-s','low-s'

4 PERIOD
 PERIOD   - The integration time for detected powers in the BBC's.
            One value is accepted here, although SCHED will write
            that value out separately for each channel.  It would be 
            nice to set this to 30 seconds or so, but this time is 
            also used for the auto-leveling time constant so it should
            be significantly less.  Values of 1 or 2 seconds are
            typical.  A value of 0 implies do not integrate beyond
            the 1/80 sec cal cycle time.

              Argument:  An integer giving the integration time in 
                         seconds.
              Options:   Any integer 0 or greater.
              Default:   1
              Example:   PERIOD=2

4 PCAL
 PCAL     - The mode of the pulse cal generator.  

              Argument:  4 characters - see options.
              Options:   ' '    - use default '1MHz'
                         'off'  - turn off pulse cal generator.
                         '1MHz' - Generate tones every MHz.
                         '5MHz' - Generate tones every 5MHz.
              Default:   ' '
              Example:   PCAL = '5MHz'

4 PCALFR1
 PCALFR1  - There are 16 pulse cal detectors, each with the ability 
            to detect signals from 2 bit streams.  Each can be set 
            to detect a tone at a different frequency at any 
            multiple of 10kHz in the baseband.  PCALFR1 is an 
            array of 16 frequencies in kHz for the 16 detectors.
            If a frequency of 0 is given, the detector will be
            used to count bits in each state.  PCALFR1 applies to
            the first channel of the detector, PCALFR2 applies to
            the second.  They need not be the same.

            ACTUALLY, UNTIL A FORMATTER UPGRADE IS COMPLETE, THERE
            ARE ONLY 8 DETECTORS.

            SCHED is capable of setting PCALFR1, PCALFR2, PCALXB1,
            and PCALXB2 automatically and this is probably the
            option that most users should take.  It will use the
            automatic settings if PCALXB1(1) is not set and if
            either NETSIDE is set or can be calculated from
            FIRSTLO and FREQREF in the setup file.  NETSIDE is 
            required to calculate where the tones should be in
            each baseband.  If the PCALFR and PCALXB values are 
            defaulted, they will be adjusted on a scan by scan 
            basis for any changes in observing frequency 
            including those requested by FREQ or DOPCAL in the 
            main schedule.

            The default will be to set up all available channels
            to detect, using sign bits only, first one tone near
            the lower edge of the band in each channel, then a 
            second tone near the high edge of the band in each
            channel, and then state counts (sign and magnitude
            for 2 bit data) for each channel - up to a total
            number of detected signals that does not exceed the
            number of detectors. 

            Note that there is usually no problem with setting the 
            PCALFR and PCALXB parameters when PCAL is off so there 
            is usually no need to turn off this default.  The one
            exception would be if the frequencies are being switched
            rapidly in such a way that the PCALFR frequencies are
            changing.  Each time they are changed, the formatter
            is reconfigured which blocks data output to the tapes
            for up to about 15 seconds.  To prevent this, specify
            the PCAL parameters - they will be kept constant.

              Argument:  An array of 16 integers, each giving
                         a frequency in kHz.
              Options:   Any multiple of 10 from 0 to 16000.
              Default:   See above.
              Example:   PCALFR1 = 10,10,10,10,7010,7010,7010,7010

4 PCALFR2
 PCALFR2  - Same as PCALFR1 except for being used for the second
            channel for each pulse cal detector.

4 PCALXB1
 PCALXB1  - This parameter, along with PCALXB2 determines what the
            pulse cal detectors measure.  There are 16 pulse cal
            detectors in each formatter and 1 formatter at each
            VLBA station.  Each detector can process 2 bit streams.
            Either counts of bits of each can be determined for each
            stream (PCALFREQ=0) or a pulse cal tone can be detected
            in each bit stream.  If the two bit streams are from
            the same channel (sign and "magnitude"), and the 
            frequency is the same for both detectors (PCALFR1 and
            PCALFR2 the same), the results will be combined for a 
            single measured amplitude and phase.  The arguments 
            are treated as character strings.  They begin with a 
            letter indicating whether to look at the sign (S) or 
            the magnitude (M) bit.  The letter is followed by a 
            number to indicate the channel from which the bits 
            are to come.  PCALXB1 specifies the source of the 
            first bit stream for each detector.  PCALXB2 specifies 
            the source of the second bit stream.  By channel number, 
            the same quantity that is used as the index for most 
            setup parameters is meant.  A detector can be turned 
            off by specifying "off".

            FOR NOW, THERE ARE ONLY 8 DETECTORS AT EACH STATION.

              Argument:  An array of up to 16 character strings
                         specifying Sign or Magnitude bit and
                         the channel number.
              Options:   S1, S2, ... S16, M1, M2, ... M16, off.
              Default:   See above (PCALFR1)
              Example:   PCALXB1 = S1,S2,S3,S4,S5,S6,S7,off
                         (This example could be used to measure
                         1 tone in each channel of a Mark III 
                         mode E observation)

4 PCALXB2
 PCALXB2  - Like PCALXB1 except for the second input stream of each
            of the 16 pulse cal detectors.  The default is as
            described for PCALXB1.

4 PTINCR
 PTINCR   - The step size for pointing patterns on the VLBA in 
            arc minutes.  A 10 point pattern is used with off, half-
            power, on, half-power, off positions in azimuth and then
            in declination.  PTINCR gives the offset between the on
            and the half-power positions.

              Argument:  A real number giving the offset in arcmin.
              Options:   Any number but it should be near 1/2 of the
                         FWHM of the beam.
              Default:   0 - not too useful.
              Example:   PTINCR=4.0

4 RCHAN
 RCHAN    - The IFCHAN to use if IFCHAN is set to 'R' as in RCP.
            Note that if an invalid argument is used, SCHED will
            complain that IFCHAN is bad.

              Argument:  A single character.
              Options:   A, B, C, or D
              Default:   None.  Must specify if IFCHAN set to 'R'.
              Example:   RCHAN = A

4 SAMPRATE
 SAMPRATE - Sample rate in Msamp/second.  Only one value is used for
            all channels.  This is usually, but not always, twice the
            bandwidth (BBFILTER).  This is not used for Mark II.

              Argument:  Sample rate in Msamp/second.
              Options:   0.25, 0.5, 1, 2, 4, 8, 16, or 32.
              Default:   0 - should specify.
              Example:   SAMPRATE=4
              
4 SIDEBAND
 SIDEBAND - The sideband from the BBC for each channel.  This may not
            be the same as the net sideband if the first mix is lower
            sideband as it always is at 20 and 13cm and can be at 
            other bands.

            Please see FREQREF for a discussion of required parameters.

              Argument:  A single character for each channel.
              Options:   U or L
              Default:   0 - must specify.
              Example:   SIDEBAND=U,L,U,L,U,L,U,L

4 STATION
 STATION  - Station name.  One per group of parameters.
            When processing each station, the program reads
            through the setup file until it finds that station.
            STATION='VLBA' will match any VLBA station.  Because
            of the above, if, for example, STATION='VLBA_FD' /
            is specified before STATION='VLBA', the first group
            will be used for VLBA_FD and the second will be used
            for all other VLBA stations.

              Argument:  A station name of up to 8 characters.
              Options:   Any valid station name.  'VLBA' will
                         match any VLBA station.
              Default:   None.
              EXAMPLE:   STATION = 'VLBA_PT'

4 STRING1
 STRING1  - An 80 character string that will be placed in the VLBA
            schedule.  This allows for new scheduling parameters 
            provided by the on-line group to be used before they
            get built into SCHED.  Comments could be passed this
            way by preceeding them !* and following them with *!
 
              Argument:  Any 80 character string.
              Options:   It just needs to be understood by the 
                         on-line system.
              Default:   Blank - not passed to VLBA schedule.
              Example:   STRING1=' !*  Special scan *!'

4 STRINGS
 STRING2, STRING3, and STRING4  - More strings like STRING1.

4 SWTCHDUR
 SWTCHDUR - For frequency switched observations (FRSWITCH set),
            this gives the time spent on each switch cycle.
            The scan must be long enough to allow a full scan
            setup.  15 seconds was required for the old on-line
            computers.  The new ones are faster but the minimum
            scan it not yet known.  The Haystack correlator also
            places restrictions on the possible integration times.
            multiples of 5 seconds are ok as are some other times.

              Argument:  An integer number of seconds.
              Options:   Any integer.  15 is typical.
              Default:   0 - specify it if FRSWITCH set.
              Example:   SWTCHDUR = 15.

4 SYNTH
 SYNTH    - The frequency setting for each of the 3 2-16 GHz
            synthesizers for the VLBA.  This is the LO for the first
            mix.  After this mix (or 2 mixes for 1.3 and 0.7 cm), the
            signal must be in the 500-1000 MHz IF band.

              Argument:  3 frequencies in GHz.
              Options:   N*500 +- 100 MHz  and between 2 and 16 GHz.
              Default:   0 - should be specified.
              Example:   SYNTH=15.9,4.1,15.9

4 TPMODE
 TPMODE   - This sets the number of passes on each head index 
            position.  Allowed values are 1, 2, 4, and 8.  For these 
            cases, a maximum of 32, 16, 8, or 4 heads can be used at a 
            time.  TPMODE=1 is appropriate for Mark III mode A, while
            TPMODE=2 is used for mode B.  TPMODE is not allowed to
            change at a station during an experiment, although 
            different stations can use different TPMODES.

              Argument:  An integer.
              Options:   1, 2, 4, or 8
              Default:   0 - needed except for Mark II or pointing.
              Example:   TPMODE=2

4 TPSPEED
 TPSPEED  - The recording speed of the tape in inches per second.
            Normal Mark III is recorded at 135 ips.  The double speed
            mode used by the CDP R&D projects uses 270 ips.  The
            ultimate VLBA modes will use a slower speed to achieve
            higher bit density.

            This speed is used by SCHED to predict tape usage.
            The control file only specifies STOP, (+-)RUN, or
            (+-)REWIND and the on-line system deduces the speed
            to use from the format and samplerate.  If SCHED has
            the wrong values (different from what the on-line
            system chooses to use, the direction and head position
            commands, along with tape changes, will be wrong and
            the experiment will be messed up.

              Argument:  An integer tape speed in inches per second.
              Options:   Any, but should probably be 135 or 270.
              Default:   0 - needed except for Mark II or pointing.
              Example:   TPSPEED=135

4 TRACK1
 TRACK1   - An array of up to 16 track specifications for use during
            the first pass at a head position.  One track is given for
            each channel.  For Mark III, there is a one-to-one
            correspondence between channels and tracks so this makes
            sense.  For many VLBA modes, this correspondence will not
            exist.  In these cases, the first track used for the 
            channel is specified.  A fanned out channel uses adjacent
            tracks within the odd or even groups and the lowest VLBA
            channel used for data is 2.  For example, a 1:4 fan out
            channel uses tracks 2,4,6,8 for the low order bit.  If
            two bit samples are used, tracks 10,12,14,16 would be
            used for those bits.  If a fan-in mode is used, more
            than one channel should be given the same track 
            specification.

            For Mark III observations, the VLBA track for a channel 
            is just the Mark III track plus 3.

            NOTE:  For modes VLBA1:1, VLBA1:2, VLBA1:4, Mark III 
            mode B with ascending frequency order (alternating 
            sidebands), and Mark III mode E, TRACK can be left
            out.  All of the TRACK commands will default to 
            reasonable values.  This is the recommended action for
            most users since track assignment is an easy area in
            which to make mistakes.  SCHED will complain and stop
            if it does not know how to set the tracks for the 
            requested mode.  For the Mark III modes, extra channels
            (2 for Mode B and 1 for Mode E) can be specified and
            will be put on the edge tracks that are not normally
            used for Mark III.  For Mode B, they should follow the
            same alternating sideband pattern as the rest of the
            channels.

              Argument:  Up to 16 integer track specifications.
              Options:   Any integer between 2 and 33.
              Default:   0 which will trigger automatic assignments
                         for many modes.
              Example:   TRACK1=5,19,7,21,9,23,11,25,13,27,15,29,17,31

4 TRACK2
 TRACK2   - Like TRACK1 except applies to second pass through tape
            at the head position.  This is not used unless TPMODE 
            is 2, 4, or 8

4 TRACK3 
 TRACK3   - Like TRACK1 except applies to third pass through tape.
            This is not used unless TPMODE is 4 or 8.

4 TRACK4
 TRACK4   - Like TRACK3 except applies to fourth pass through tape
            at the head position.

4 TRACK5 
 TRACK5   - Like TRACK1 except applies to fifth pass through tape.
            This is not used unless TPMODE is 8.  

4 TRACK6
 TRACK6   - Like TRACK5 except applies to sixth pass through tape.

4 TRACK7 
 TRACK7   - Like TRACK5 except applies to seventh pass through tape.

4 TRACK8 
 TRACK8   - Like TRACK5 except applies to eighth pass through tape.

4 VLAFEAB
 VLAFEAB  - The front end synthesizer for the VLA for the A and B
            IFs (RCP).  See the discussion of the parameter FIRSTLO 
            for more details.  If specified, a //LO card will be 
            written, although VLAFECD, VLASYNA, and VLASYNB will 
            also be required.

              Argument:  A frequency in GHz
              Options:   See VLA documentation for details.
              Default:   0 - no //LO card written.
              Example:   VLAFEAB=-3.2

4 VLAFECD
 VLAFECD  - The same as VLAFECD but for the CD IF's (LCP).

4 VLAIF
 VLAIF    - The name of the VLA IF file that contains gain 
            calibration and efficiency information.

              Argument:  Up to 10 character file name.
              Options:   Any string.
              Default:   Blank - use system default.
              Example:   VLAIF = 'SYSIF'

4 VLAROT
 VLAROT   - The name of the VLA ROT file that contains such
            things as control information for subreflector 
            focus and rotation, collimation errors and control
            parameters for each frontend.

              Argument:  Up to 10 character file name.
              Options:   Any string.
              Default:   Blank - use system default.
              Example:   VLAROT = 'SYSROT'

4 VLASYNA
 VLASYNA  - The F6 synthesizer setting for the A,C IFs at the VLA.
            This will be a value near 3900 MHz and must be
            N*50 +- 10.1 MHz.  It will be rounded to the nearest
            MHz for the //LO card but should be given to full
            precision here.

              Argument:  A frequency in MHz.
              Options:   N*50 +- 10.1
              Default:   0 - no //LO card written.
              Example:   VLASYNA = 3889.9

4 VLASYNB
 VLASYNB  - The same as VLASYNB but for the BD IFs.



3 POINTING_EQUATION
           Maintenance of the Pointing Equations.

 The VLBA pointing equations consist of 6 terms, 2 for tilt, a
 azimuth encoder offset, a sag, and the azimuth and elevation
 colimation offsets.  These values are now maintained in files at
 the stations and need not concern the average user.  It is no
 longer necessary to include the colimation offsets in the
 schedules as was true before early 1991.  AZCOLIM and ELCOLIM
 in the setup file can be used to introduce pointing offsets
 if desired.  They will be added to the nominal values.  This can
 be used for off source scans etc.


2 RELATED_PROGRAMS
             OTHER PROGRAMS OF INTEREST TO USERS OF SCHED

 This section describes briefly other programs that may be of use when
 using SCHED.

3 UPTIME
 UPTIME can be used to determine when sources will be visible from
 stations of interest.  It also provides source coordinates in 
 both B1950 and J2000 systems, if that should be needed.  The Caltech
 source catalog is still in B1950 and the VLBA only understands
 J2000.  SCHED also makes any needed conversions so catalogs can be
 left as is.

 UPTIME can also do a Doppler calibration for spectral line sources.
 A velocity needs to be provided in the source catalog and a line
 frequency in the program input.  The Doppler values will be for
 the center of the Earth, which is within 1 km/s for any station and
 is an appropriate value for VLBI observing.

3 SKEDCONV
 SKEDCONV is used to convert SKED files from the Mark III 
 scheduling programs into SCHED input.  The resulting SCHED input
 should be complete if all of the questions are answered 
 properly.  However a SETUP file will need to be made.  Special
 attention should be paid to the frequencies and track assignments
 when making the setup file.

3 SRCCONV
 SRCCONV is used to convert old style Caltech source catalogs into the
 new catalog format.  It asks for all needed information.

3 STACONV
 STACONV is used to convert old style Caltech station catalogs into 
 the new catalog format.  It asks for all the information it needs
 to run.  However, on completion, the catalog should be checked,
 especially for the control file types and for Network codes.

3 PC-SCHED
 PC-SCHED is a program written at Haystack for scheduling Mark III
 observations.  It is advertized to read SCHED input if that has
 already been made but that is not its normal mode of operation.
 PC-SCHED writes a SKED file that can be used by DRUDG to produce
 SNAP files for the Mark III stations.  The SKED file can also be
 converted with SKEDCONV to SCHED input for scheduling VLBA stations.
 Either PC-SCHED or a version of DRUDG can produce VLBA control file
 but so far these files do not have all necessary setup information
 so most users are requested to send the SKED files (The CDP 
 schedulers are able to produce complete files).

 I (RCW) have requested that the name of this program be changed to
 avoid confusion but have only managed to get it changed from
 SCHED to PC-SCHED, at just about the time that SCHED (the Caltech
 version that has used that name for over 10 years) became available
 on PC's.

3 SKED
 SKED is the traditional scheduling program for Mark III.  It
 produces SKED files are converted to SNAP files by DRUDG but that 
 can also be used, via SKEDCONV and SCHED or special versions of 
 DRUDG, to schedule the VLBA.



2 RUNNING_SCHED

 SCHED is currently available for VAX, CONVEX, and MS-DOS PC's

3 VAX
                   RUNNING SCHED ON A VAX   

 To run SCHED on a VAX, make a .COM file which begins with a VMS
 command that causes SCHED to be executed.  For systems with a fully
 installed Caltech package, the command '$ SCHED' should work.
 Otherwise, use a command of the form: $ RUN UMA3:[VPGM.CIT.VLB]SCHED 
 where you will need to substitute the correct directory
 specification.  The file should end with a '$ EXIT', although this
 is not necessary. 

3 UNIX
                  RUNNING SCHED UNDER UNIX
 To run SCHED on a UNIX machine such as a CONVEX or SUN, prepare the 
 input file without system level commands.  Then type, for example:
 sched < input.key 
 Where the sched executable file is assumed to be in the default
 directory or path and the SCHED input commands are in input.key 
 in the default directory. The '<' pipes the information in 
 input.key to the program.  Remember that in UNIX file names and
 commands are case sensitive.

3 MS-DOS 
                RUNNING SCHED ON A MS-DOS PC

 To run SCHED on a PC (MS DOS), prepare the input file without  
 system level commands.  Then type, for example:
 \CODE\SCHED < INPUT.KEY 
 Where the SCHED.EXE executable file is assumed to be in the \CODE
 directory (substitute whatever is correct for your system) and the
 SCHED input commands are in INPUT.KEY in the default directory.
 The '<' pipes the information in INPUT.KEY to the program.  Note the
 similarity to UNIX.

 In all cases, the output files will appear in the default directory.





2 SCHEDULE_DISTRIBUTION
             DISTRIBUTION OF SCHEDULES PRODUCED BY SCHED 

 The operator schedules and telescope control files produced by SCHED
 can be distributed by many means.  In all cases, printed versions of
 the files, along with Network cover letters, should be sent to all
 sites.  Of course, the telescope control files must be sent by some
 machine readable method if they are to be useful.  This can now be
 done either by leaving the file in a special area on one of the 
 NRAO computers, by sending them by electronic mail, or by using 
 direct copies over the computer networks.

 NRAO maintains a directory, [NUG], on the VAX called UVAX1 in the
 Array Operations Center in Socorro, New Mexico for the
 purpose of distribution of Network schedules and calibration
 information.  Documentation relating to the use of the [NUG] area
 is distributed with the schedule for each session.  SCHED input
 files can be put in the [NUG] area over networks, or EMAILed to
 the area.  The VLBA staff will run SCHED using the proper SETUP
 files to create the operator and telescope control files for
 all stations.  Those files will then be EMAILed to most stations,
 although it is still the responsibility of the PI to be sure that
 the stations have the schedules.  If schedules are left in [NUG],
 an electronically readable cover letter should also be left.

 All U.S. stations use the NRAO connection.  European stations can 
 use NRAO, but electronic mail may be better.  See the EVN handbook
 or information mailed with the EVN schedules for EMAIL addresses.

 Other distribution schemes are possible, including tapes and 
 floppies, but are no longer in common use.


2 COMPILING

 SCHED is in FORTRAN and was originally developed on a VAX.  For 
 several years, development was done mostly on MS-DOS PC's.  
 Currently, development is under unix on a SUN sparc station.  
 The program works on a variety of workstations and computers, 
 but has outgrown PC's, at least of the 286 variety with 640k of 
 memory.  The machine dependent code has been isolated in special 
 files (CITMSDOS.FOR,  CITVMS.FOR, CITUNIX.FOR, CITSUN.FOR, 
 CITCONVEX.FOR, and CITALLIANT.FOR - unix systems will need both 
 CITUNIX.FOR and one of the last 3 system specific files).  All
 other fortran files should compile without changes on a wide
 variety of machines.  

 The export version consists of the following files:
   SCHED.FOR - the SCHED specific code.
   SCHEDSLA.FOR - needed routines from the STARLINK SLALIB package.
   CITSUBS.FOR - machine independent Caltech package routines.
   SCHED.INC - main include file.
   SCHSET.INC - include file for setup information.
   RDCAT.INC - include file for catalog reading.
   CITVMS.FOR - VAX specific Caltech package routines.
   CITMSDOS.FOR - MSDOS (MicroSoft FORTRAN v.5.0) specific routines.
   CITUNIX.FOR - Generic unix specific Caltech package routines
   CITSUN.FOR - SUN unix specific Caltech package routines.
   CITCONVEX.FOR - Convex unix specific Caltech package routines.
   CITALLIANT.FOR - Alliant unix specific Caltech package routines.
 VMS or MSDOS machines (if they are big enough) will only need
 one machine specific file.  Unix machines will need CITUNIX and
 one of the others.

 Some VAX FORTRAN features that are commonly supported by other
 FORTRAN compilers remain in the code.  Some of these can be removed
 using the program VAXMS (contact RCW).  On a VAX, a PC with
 the MicroSoft FORTRAN compiler version 5 or above, or SUN SPARC
 stations with version 4.1.1 or above, preprocessing is 
 not required.  On other the unix machines, the .FOR files can be 
 preprocessed with VAXMS (or 'fct' on a CONVEX or 'f77cvt' on a SUN)
 into .f files that are ready for the fortran compiler (beware of bugs
 in f77cvt!).  Some non-standard features, including long variable 
 names, remain in the program after processing with VAXMS.  All of the 
 compilers used so far allow these features but they could cause 
 trouble for other ports. Considerable use was made of the SLALIB 
 (STARLINK) routines for precession etc.  These routines use long 
 variable names so removing this non-standard feature would not be 
 easy.  (Permission to use the SLALIB routines is assumed to come
 under the general permission obtained by Tim Pearson for the Caltech
 package of which SCHED is a part.)

 Sometimes the process of moving files from one machine to another
 introduces unwanted characters into the files.  For example,
 the .for files moved from the PC to the VAX to the SUN have ^Z at
 the end.  f77cvt does not like this and the files have to be
 edited to remove the last character.  This problem was not 
 encountered when VAXMS was run on a VAX and the .f files transfered
 to the SUN.

 Note that if VAXMS needs to be compiled, it will have to be linked
 with CITSUBS and CITVMS (or CITMSDOS).

2 CHANGES 
               CHANGES FROM PRE-APR89 VERSIONS

3 APR89_VERSION

 SCHED was extensively rewritten during 1988 and early 1989 in order
 to allow its use for scheduling the VLBA.  In the process, a number
 of enhancements appeared and some old features were removed.  Some
 of these changes are outlined below.  Also, the internal structure 
 of the program was changed considerably to allow easier programming.
 This should not be obvious to the user.

 RESTART is no longer available.  It is not needed and it was being
 abused.

 DECKS is no longer available.  Unwanted files can be deleted.

 AUTOTAPE is now the default and the algorithm has changed yet again.
 Most previous complaints about SCHED involved AUTOTAPE.  I hope it
 is satisfactory now!

 OBSTYPE was added.  

 LINEPG, the number of lines per page was added. 

 MONTH was added to avoid the need for day of year calculations.

 PRESCAN was added for Mark III scheduling. 

 CATALOG formats were changed to allow addition of more parameters
 and for free format simplicity.  SRCCONV and STACONV were written
 to convert old catalogs.

 IN-LINE CATALOGS were added. 

 STAFILE, SRCFILE were added. 

 FREQ and BW were added for spectral line work, especially on VLBA.
 
 OUTPUT FILES:  The format of the operator schedules has been changed
 to confine them to 80 columns.  The wider format used in the old
 version was causeing problems in EMAIL.  Some MAIL systems would
 break lines at 80 columns, leading to hard-to-read files.

 VLA scheduling:  The ability to schedule in LST was added and file
 naming defaults were improved to allow easier VLA scheduling.  
 VLACODES is gone.  The calibrator code is given by the CALCODE
 parameter in the source catalog, the gain code is set to 3 which
 should be good for most sources, and the bandwidths are specified
 by the VLABW input parameter which defaults to a reasonable value
 for most VLBI observations.  SCHED should now be useful for pure VLA
 observations if no special '//' cards are needed or if those cards
 can be added by some other means.  This is a possible area of 
 future enhancement.

 SETUP files were added for VLBA scheduling. 

 VLBA scheduling:  SCHED can be used to schedule Mark II, Mark III,
 VLBA, single dish pointing, and other types of test observations
 on VLBA antennas.  

 DOSTA was added.  It is useful if SCHED input files are run at
 the stations, as they are at the VLBA. 

 The SLALIB routines from STARLINK are now used for precession etc.


3 DEC90_VERSION

 TPREF was added for Mark II tape change specification.

 VLBA tape handling, including the whole TAPEINIT input file was
 added.  

 AUTOTAPE is now a Mark II only parameter.

 Doppler calculation of frequencies was added.  This includes the
 LINEINIT input.

 VLA gain codes were removed.  VLAUSERN was added.

 SETUP file handling was change significantly.  To the user, the most
 visible change is that the setup parameters are now all in KEYIN 
 input form (no direct-transfer lines) and all default to the 
 previous station.  The code for dealing with setup information
 was almost completely revised.

 A prescan was added for VLBA programs to initialized synthesizer 
 settings to "safe" values.

 A setup scan was added for VLBA programs.  This scan ends at the
 nominal start time of the program.  It allows the operators to start
 the schedule ahead of time to check setups but still forces a 
 header record to occur in the monitor data after the nominal start
 time.

 VLA //LO, //FI, and //PM cards can be written.  The //LO and //FI
 cards are for modes set fixed frequencies, not for VLB on-line
 Doppler tracking.  The //PM cards are triggered by the presence
 of proper motion information in the source catalog.  The //LO and
 //FI cards can have values set by SCHED based on FREQ on DOPCAL 
 information.  Much of the required information comes from the 
 SETUP file.

 Proper motion information information can be written to VLBA files.

 Two output files are now provided for the VLA - the OBS deck and a
 VLBA style file to control the VLBA tape recorder.  Both files are
 always provided.  Just delete the VLBA file (xxxCRD.Y) if it is 
 not needed, as for Mark II or pure VLA observations.

 The program name is written to VLBA files.

 A qualifier can be provided for each scan and will be written to
 the VLA and VLBA control files.

 Station dependent Ta measurement requests added.


3 FEB91_VERSION

 Precession fixed.  Was using mean coordinates of date rather than
 apparent.  Thanks to John Reynolds for finding the problem.

 Default VLBA synthesizer settings changed to safer value (some won't
 lock at old frequency.

 Some unix related changes (include file names in lower case).

 Change format of samplerate output to follow on-line change on 
 VLBA.

3 MAY91_VERSION

 Some internal code changes related to SETUP files, comments...

 Remove scan that presets VLBA synthesizers - on-line system now 
 does it.

 Fix Mark II tape change logic for problem encountered when a
 tape change occurs in a schedule gap.

 Put all stations in the tape change summary.

 All logging=' ' for VLA CRD file.

 Change help file comments on colimation offsets since they are
 no longer needed as part of the pointing equation.

 Fix case sensitivity of TANTSTA1 and TANTSTA2.

 Add cover information.  This is a significant addition.

 Activate BITS input for SETUP files. 

 Install FORMAT input for SETUP files - will be used to make 
 VLBA format tapes.

 Make output file names lower case for unix (VMS and DOS won't
 notice).

 Add TAVLBA mode.

 Switch to latest version of KEYIN and other CITSUB routines as
 provided by Tim Pearson.  This significantly reduces the amount
 of machine specific code.

3 JULY_92_VERSION

 Fixed a bug that caused input channel specifications for VLBA
 files when the number of channels increased from one scan to
 another. (July 3, 1991 RCW).

 Changed output tape speed specifications for VLBA to STOP,
 +-RUN, and +-REWIND.  (Sept. 24, 1991)

 Explain track assignments for fan out in this help file.

 Fixed tape reversal control for projects that do not stop tape
 between scans (Nov. 2, 1991)

 Activated format='NONE' possibility in setups.

 PTSLEW now scan dependent.

 Don't switch between logging=pointing and logging=standard 
 during VLBA pointing observations (13Feb92)

 Add alternate input options for IFDIST (13Feb92)

 All of the following were added on or about 30 May 1992 by RCW

    Allow mixing MARKIII format to be specified with OBSTYP VLBA

    Set format to NONE if not specified.

    Set up for 48 micron track spacings with 14 head positions and
    new standard head positions.  All data at a given head 
    position is recorded in the same direction.  All of this 
    allows automatic read checks on the VLBA.

    Force TPINDX in TAPEINI input to be odd - head index position
    is always odd for forward pass in the new scheme.

    Get the NDRIVES input from the tape initialization file, not
    the station catalog.

    Get NHEADPOS from the tape initialization file - this is the
    number of head positions to use.  The default is now 14 but
    to help make tape changes occur at the same place for Mark III
    and VLBA sites, it could be set to 12, the usual Mark III number.

    Drop the warning about cover information being required.  This
    information is not normally added when schedules are made by
    the NRAO staff, especially for Mark III observations which use
    SCHED input created by SKEDCONV from PC_SCHED output.

    The tape summary format in the summary file is changed so that
    each line has the start and stop time of a tape, rather than
    the start and stop time of the tape change (which was confusing).

    Some help file information on setups was fixed.

    Put out warning if the setup file changes and a specified 
    frequency doesn't.

    Fix bug that was putting an extra prescan of zero length at
    the start of some Mark III schedules.

    If REVERSE is specified, no rewind or fast forward will be 
    done.  Before, it would be if the next scan would not have
    fit anyway.

    Use the first instance of a source in the catalogs and don't
    count a source twice if it has two entries.

    In the SNAP file, do not repeat the frequency requests if
    the frequency has not changed.

    Accept MARKII and MARKIII as alternatives to MKII and MKIII
    for OBSTYPE

    Add the ability to specify a phasing source for VLA VX mode
    scans.  See the VLA section and the detailed input on
    VLAPSRC.

    Add FEFILTER, VLAIF, and VLAROT to the setup file inputs.

    Allow FLUKESET=0.  Write a blank if this is given.

    If both a stop time and a duration are specified, compare the
    results and abort if they don't agree.  This can be used to
    check the total length of a schedule made in durations.

  End of 30 May 92 changes.    

  Allow NDRIVES=1 and TPDRIVE=N to force staying on drive N.

  Fix bug that did not treat tape handling for Mark III on first
  scan after a tape change caused by running out of tape. 8/30/92.

3 JAN. 21, 1993 VERSION

  Set automatic tape allocation and tape reversal parameters for
  VLBA systems.  User controlled with AUTOTAPE parameter. 11/5/92.

  Add PCAL to control pulse cal generators on VLBA. 11/5/92.
  Add PCAL, PCALXB1, PCALXB2, and PCALFREQ to the setup file.
     12/31/92.

  Add CALTIME to set the integration time for calibration data
  from the VLBA. 11/5/92.

  Relax the requirment that the number of bandwidths, velocities,
  and rest frequencies must all be the same.  Now the value for
  the first channel is used wherever a number is missing.  NCHAN
  had to be added because it is no longer clear what the number
  of channels is.  11/5/92.

  Add a warning for scans crossing 0 hr that the day is for the
  stop time.  11/5/92.

  Fix a bug that caused a setup file to be required when 
  scheduling pure VLA observations. 11/5/92.

  Add a card type 'SN50' that forces 1950 coordinates in SNAP.
  For Jodrell.  11/5/92.

  Add another VLBA example to the help file.  Also add a VLBA
  example setup file.  Other misc cleanup in help file. 1/1/93  RCW

  Change PCALFREQ to PCALFR1 and PCALFR2.  1/21/93  RCW

  Add EXIT parameter.

3 Feb 94 version.

  Allow TPMODE to be different at different stations.  RCW  12apr93.

  Add START-LASTSTOP to PTSLEW for pointing slew times.  RCW 27apr93.

  Add experimental optimization mode.  RCW 27apr93.

  Warn if not autoalloc and no track specification.  RCW 27apr93.

  Allow tpmode=8.  Add TRACK5, ..6 etc.  RCW  11may93

  Check for overwritten tracks, bad speeds, and various other
  setup file problems.  RCW  11may93.

  Station dependent TAPE, REWIND, FASTFOR, and REVERSE.  RCW 15may93

  Fix bug in head position assignments that occured if a REWIND
  was issued while going forward or a FASTFOR was issued while in
  reverse.  RCW  15may93

  Activate DAR commands in VLA tape control file.  Switch to 
  setting BBC's when FREQ or DOPCAL specified for VLA. 7jul93

  Allow specification of only 1 of FIRSTLO, BBFILT, and BITS in 
  SETUP file.  21jan94 RCW

  Add setup defaults: PERIOD=1, LEVEL=-1  20sep94 RCW

  Add POSTPASS.  20jan94 RCW

  Allow "VLBA" to work for all VLBA stations in setup file.
      20jan94 RCW

  Add automatic track assignment.  23jan94  RCW

  Add LCHAN and RCHAN to setups.  27jan94  RCW
  Allows specification of R and L for IFCHAN.

  Add FREQREF, NETSIDE, and FREQOFF to setups.  27jan94 RCW
  This allows setting of sky frequencies in the setup file.

  Add automatic generation of PCALX commands and setting of
  frequencies for them.  30jan94 RCW.

  Implement reference pointing for VLA and VLBA.  31jan94 RCW.
  This uses the PEAK parameter that has been here for a long time.

  Warn if VLA or VLA27 used in mode VS or if VLA1 used in VX or VA.
  31jan94  RCW.

  Warn if BBSYN not 600 to 650 at VLA. 31jan94 RCW

  Add ALLVLBA switch.  1feb94  RCW

3 Oct 94 version.

  Add OPTAPEON, OPMINANT, OPNOSLEW.  4 May 1994. RCW

  Fix some bugs with TAVLBA  26 May 1994  RCW.

  Comment out the postpass stuff as per Peggy Perley request. 24 June 1994.

  Cause colimation offsets and levels to be reset after Ta scans.  24 Jun 94.

  Test FEFILTER validity to avoid bad VLA files.  4 Oct 94 

  Turn off tape fast forward and rewind to end of tape at ends of
  passes.  14 Oct 1994  RCW

  Up pcal stuff for 16 detectors from 8, but don't turn on fully yet.
  17 Oct 1994. RCW

  Add polarization to summary. 17 Oct 1994. RCW

  Drop requirement for pcal specification if no setup used. 
  17 Oct 1994. RCW

  Add general ability to write VLBA DAR (tape) control files in addition
  to other telescope files based on a "V" in the 5th column of the
  CONTROL type in the stations catalog.  These files will have only
  DAR type commands, not other VLBA front end etc commands.  Any such
  station must appear in the setup file and the setup file must have
  enough information to deduce the external LO and sideband. 
        FREQREF+FREQOFF, FIRSTLO, (NETSIDE or SIDEBAND)
        BBSYN, SIDEBAND, NETSIDE, (FREQREF+FREQOFF or FIRSTLO)
  19 Oct 1994  RCW

  Add 5th letter 'V' to CONTROL in station catalog for VLBA DAR sites.
  19 Oct 1994  RCW

  Add extlo and extlosideband to schedules for VLA and other non VLBA
  stations.  19 Oct 1994  RCW

  Get ready for second 8 pulse cal extractors.  18 Oct 1994  RCW

  Prevent "!" from being included in comments in VLBA files.  20 Oct 1994. 
  RCW

  Allow 6 character project codes in VLA files.  20 Oct 1994  RCW

  Set experiment start time in comment in VLBA files to be before first
  prescan - helps VLBA bookkeeping.  20 Oct 1994 RCW

3 16 Nov 94 Version.

  Add OPELPRIO, OPNOSUB, and OPSKIP  5 Nov 1994 RCW.

  Add 12 character source names.  13 Nov 1994 RCW.

  Add aliases to source catalog.  13 Nov 1994 RCW.

  Extend precision of source positions passed to VLBA.  13 Nov 1994.

  Space to end of tapes when more than 500 ft left.  15 Nov 1994.

  Add Paralactic Angle (PA) to sch. files 13 Nov 1994.

3 7 Dec 94 version.

  Remove HCRK cards.

  VLA source name + qualifier = 13 characters.  5dec94 RCW.

  Snap files up to 10 character source names.

  No imbedded blanks in source names.

3 Current development version.

  TAVLBA mode, make second on source qual 20 and add final off.  
  21 Dec 1994 rcw.
 
  Bug fix - If one velocity was given in the source catalog, it 
  was not used for other channels.  30dec1994 - arana and ftp updated.

  Add tape summary to summary file.  24 Jan. 1994.

  Add setup name to summary listing. 24 Jan 1994.

  Add third pcal tone when there are enough detectors.  25 Jan 1995.

2 HISTORY

 SCHED was written by R.C. Walker in the late 1970's for Mark II
 VLBI scheduling.  It received a number of modifications over the
 following decade by the author and others, including T. Pearson,
 J. Benson, and Mark Hodges.  During 1988 and early 1989, the 
 program was extensively revised by RCW, mainly to accommodate
 VLBA scheduline (including Mark III observations on the VLBA
 systems).  Much of the internal structure of the program was
 changed.  Changes of interest to users are outlined in the CHANGES
 section.  A history of changes prior to 1989 is available from RCW
 if it is needed.  Another major release was prepared by October 1990
 by RCW.  Many enhancements, as described in the CHANGES section 
 were made, including VLBA tape handling, Doppler calculations, 
 proper motions, SETUP file changes, and many more were provided.
 In May, 1991 a significant release was made.  Cover information,
 VLBA recording modes, and TAVLBA were added along with other
 changes as detailed in the CHANGES section.  At about this time,
 a project to write a VLBI OBSERVE has been begun by Wes Young.

2 WISH_LIST
                  Wish list for new features.

 This is a list for requested and/or planned enhancements to SCHED that
 are not yet done.  Suggestions for additions/deletions are welcome.
 The items are in no particular order.  They are here in the help file
 as a handy place to keep them where they won't get lost.  With VLBA
 OBSERVE under development at NRAO, many of these may never be done.


 *.  uv coverage plots.

 *.  Slew times.  Dwell time scheduling?

 *.  Alternate source for when primary is down (eg. automatic subarray).

 *.  More than 8 characters for source names.

 *.  Planetary and solar positions and motions from JPL epheremis.

 *.  Flag default VLA frequencies in SETUP file so spectral line and
     continuum programs can use the same ones.

